local AddonName, SM = ...
local FriendlyAddonName = "Slash Magic"

--[[ **************************************************************************
     * Add On Starts Here                                                     *
	 **************************************************************************
]]
	
-- Addon Frame
SM.Frame = CreateFrame("Frame")
SM.Frame:RegisterEvent("ADDON_LOADED")

-- Boolean Conversions
local on = true
local off = false

-- Text Colors
local yel = "|cFFFFFF00"
local wht = "|cFFFFFFFF"
local blu = "|cFF00FFFF"
local red = "|cFFFF0000"
local grn = "|cFF00FF00"
local res = "|r"

-- Bill's Utils
local addOptionMt = BillsUtils.addOptionMt
local StatColor = BillsUtils.StatColor
local SJprint = BillsUtils.SJprint
local OptSaveTF = BillsUtils.OptSaveTF

BillsUtils.Locals[#BillsUtils.Locals +1] = function ()
	addOptionMt = BillsUtils.addOptionMt
	StatColor = BillsUtils.StatColor
	SJprint = BillsUtils.SJprint
	OptSaveTF = BillsUtils.OptSaveTF
end
	
-- Addon Settings
local cmdKey = "SLASHMAGIC_%s_CMD"
local SMS
SlashMagic_Settings = {}
SlashMagicStaticValues = {}

SM.Settings_Defaults = {
	Enable = on,
	Salted = false,
	}

local CMDS, CODE, DESC, VERS
SlashMagic_Commands = {} 

SM.Commands_Defaults = {}
SM.Commands_Defaults.cmds = {
		["eject"] = on,
		["xx"] = on,
		["gfx"] = on,
		["fquit"] = on,
		["tele"] = on,
		["p2r"] = on,
		["r2p"] = on,
		["clear"] = on,
		["cloak"] = on,
		["helm"] = on,
		["lvgrp"] = on,
		["passloot"] = on,
		["in"] = on,
		["ready"] = on,
		["role"] = on,
		["sha"] = on,
		["exp"] = on,
		["toast"] = on,
		["names"] = on,
		["cdown"] = on,
		["quitaftertaxi"] = on,
	}
SM.Commands_Defaults.code = {
		["eject"] = {	"local msg = math.floor( tonumber(msg) and tonumber(msg) or 0 )",
						"if msg ~= 0 then",
						"     EjectPassengerFromSeat( msg )",
						"else",
						"     EjectPassengerFromSeat(1)",
						"     EjectPassengerFromSeat(2)",
						"     EjectPassengerFromSeat(3)",
						"end",
					},
		["xx"] = 	{	"if UnitInVehicle('player') then",
						"     VehicleExit()",
						"end",
						"if IsMounted() then",
						"     Dismount()",
						"end",
					},
					
		["gfx"] =	{ 	"RestartGx()",
					},
		["fquit"] = {	"ForceQuit()",
					},
		["tele"] = 	{	"LFGTeleport(IsInInstance())",
					},
		["p2r"] = 	{	"ConvertToRaid()",
					},
		["r2p"] = 	{	"ConvertToParty()",
					},
		["clear"] = {	"ClearRaidMarker()",
					},
		["cloak"] = {	"ShowCloak( not(ShowingCloak()) )",
					},
		["helm"] = 	{	"ShowHelm( not(ShowingHelm()) )",
					},
		["lvgrp"] = {	"LeaveParty()",
					},
		["passloot"] = 	{	"local passing = GetOptOutOfLoot()",
							"if passing then",
							"     SetOptOutOfLoot()",
							"     print('You are no longer passing on all loot')",
							"else",
							"     SetOptOutOfLoot(1)",
							"     print('You are now passing on all loot')",
							"end",
						},
		["in"] = 	{	"local delay, what = string.split(' ', msg, 2)",
						"if string.find( delay, ':' ) then",
						"     local mins, secs = string.split(':', delay)",
						"     mins = tonumber(mins)",
						"     secs = tonumber(secs)",
						"     delay = (mins * 60) + secs",
						"else",
						"     delay = tonumber(delay)",
						"end",
						"if delay <= 0 then",
						"     print('/in delay must be greater than 0')",
						"     return",
						"end",
						"BillsUtils.Wait( delay, (MacroEditBox:GetScript('OnEvent')), MacroEditBox, 'EXECUTE_CHAT_LINE', what )",
					},
		["ready"] = {	"DoReadyCheck()",
					},
		["role"] =  {	"InitiateRolePoll()",
					},
		["sha"] = 	{	"if ( IsQuestFlaggedCompleted(32099) ) then",
						"     print(\"You have completed \\\"Sha of Anger\\\" this week.\")",
						"else",
						"     print(\"You haven\'t completed \\\"Sha of Anger\\\" this week.\")",
						"end",
					},
		["exp"] = 	{	"local unit = 'player'",
						"if(UnitLevel( unit ) < 90) then",
						"     local XP = UnitXP(unit)",
						"     local MaxXP = UnitXPMax( unit )",
						"     local XPE = GetXPExhaustion()",
						"     print( ('Exp to level: %.2d k'):format( (MaxXP - XP) / 1000))",
						"     print( ('Rested exp: %.2d k'):format( XPE / 1000) )",
						"else",
						"     print('You are at max level.')",
						"end",
					},
		["toast"] = {	"if msg ~= \"\" then",
						"     BNSetCustomMessage( msg )",
						"     print(\"Toast message set to: \"..msg)",
						"else",
						"     BNSetCustomMessage( \"\" )",
						"     print(\"Toast message cleared\" )",
						"end",
					},
		["names"] = {	"if not( saved.showing ) then",
						"     saved.showing = true",
						"end",
						"local what = { 'UnitNameEnemyGuardianName', 'UnitNameEnemyPetName', 'UnitNameEnemyPlayerName', 'UnitNameEnemyTotemName',",
						"     'UnitNameFriendlyGuardianName', 'UnitNameFriendlyPetName', 'UnitNameFriendlyPlayerName', 'UnitNameFriendlySpecialNPCName',",
						"     'UnitNameFriendlyTotemName', 'UnitNameGuildTitle', 'UnitNameHostleNPC', 'UnitNameNPC',",
						"     'UnitNameNonCombatCreatureName', 'UnitNameOwn', 'UnitNamePlayerGuild', 'UnitNamePlayerPVPTitle',",
						"     'nameplateShowEnemies', 'nameplateShowEnemyGuardians', 'nameplateShowEnemyPets', 'nameplateShowEnemyTotems',",
						"     'nameplateShowFriendlyGuardians', 'nameplateShowFriendlyPets', 'nameplateShowFriendlyTotems', 'nameplateShowFriends',",
						"     }",
						"if saved.showing then",
						"     for x = 1, #what do",
						"          saved[what[x]] = GetCVar(what[x])",
						"          SetCVar( what[x], '0')",
						"     end",
						"     saved.showing = false",
						"else",
						"     for x = 1, #what do",
						"          SetCVar( what[x], saved[what[x]])",
						"     end",
						"     saved.showing = true",
						"end",
					},
		["cdown"] = {	"local delay, by = string.split(' ', msg)",
						"delay = tonumber(delay)",
						"by = tonumber(by)",
						"if not(by) then by = 1 end",
						"if delay then",
						"	for x = delay, 0, -by do",
						"		BillsUtils.Wait( delay, SendChatMsg, tostring(x), 'SAY' )",
						"	end",
						"end",
					},
		["quitaftertaxi"] = {	"msg = string.lower(msg)",
								"if msg == 'cancel' then",
								"     if static.running then",
								"          static.running = false",
								"          static.cancel = true",
								"     end",
								"     print('Auto-Exit after Taxi is disabled')",
								"     return",
								"end",
								"if static.cancel then",
								"     static.cancel = false",
								"     return",
								"end",
								"if not(static.count) or static.count == 3 then",
								"     static.count = 0",
								"end",
								"static.count = static.count + 1",
								"if UnitOnTaxi( 'player' ) then",
								"     static.running = true",
								"     if static.count == 3 then",
								"          print('|cFFFF0000You will exit the game once you land (to cancel type /quitaftertaxi cancel)')",
								"     end",
								"     BillsUtils.Wait( 5, (MacroEditBox:GetScript('OnEvent')), MacroEditBox, 'EXECUTE_CHAT_LINE', '/quitaftertaxi' )",
								"else",
								"     if not(static.running) then",
								"          if static.count == 3 then",
								"               print('|cFFFF0000Once you select a flight then land you will exit the game (to cancel type /quitaftertaxi cancel)')",
								"          end",
								"          BillsUtils.Wait( 5, (MacroEditBox:GetScript('OnEvent')), MacroEditBox, 'EXECUTE_CHAT_LINE', '/quitaftertaxi' )",
								"     else",
								"          ForceQuit()",
								"     end",
								"end",
							},
	}
SM.Commands_Defaults.desc = {
		["eject"] = "ejects passenger from seat # or all seats",
		["xx"] = "attempts to dismount you and leave any vehicle you are in",
		["gfx"] = "restart the gfx engine",
		["fquit"] = "fast quit / force quit",
		["tele"] = "teleport in/out of lfg dungeon",
		["p2r"] = "convert your party to a raid",
		["r2p"] = "convert your raid to a party",
		["clear"] = "clear all raid markers (smoke bombs)",
		["cloak"] = "toggle your cloak visibility",
		["helm"] = "toggle your helm visibility",
		["lvgrp"] = "will leave your group",
		["passloot"] = "will toggle pass on loot",
		["in"] = "will run a slash command in a set amount of time \"/in ## /whatever\" or \"/in #:## /whatever\" (not all slash commands can be delayed)",
		["ready"] = "initiate a ready check",
		["role"] = "initiates a role check",
		["sha"] = "checks to see if you did the \"Sha of Anger\"",
		["exp"] = "displays your experience and rested experience",
		["toast"] = "sets or clears your Battle-Net toast message",
		["names"] = "toggles the display of names in the 3d world",
		["cdown"] = "counts down from passed number by optional second passed number",
		["quitaftertaxi"] = "quits the game once you land from a taxi flight",
	}
SM.Commands_Defaults.vers = {
		["eject"] = 1.05,
		["xx"] = 1.05,
		["gfx"] = 1,
		["fquit"] = 1,
		["tele"] = 1,
		["p2r"] = 1,
		["r2p"] = 1,
		["clear"] = 1,
		["cloak"] = 1,
		["helm"] = 1,
		["lvgrp"] = 1.05,
		["passloot"] = 1.05,
		["in"] = 2,
		["ready"] = 1.1,
		["role"] = 1.1,
		["sha"] = 1.25,
		["exp"] = 1.15,
		["toast"] = 1,
		["names"] = 1.2,
		["cdown"] = 1.1,
		["quitaftertaxi"] = 1.07,
	}
	
	
SM.SetDefaults = function()
	table.wipe( SlashMagic_Commands )
	SlashMagic_Commands.cmds = {}
	SlashMagic_Commands.code = {}
	SlashMagic_Commands.desc = {}
	SlashMagic_Commands.vers = {}

	local cmds = SlashMagic_Commands.cmds
	local code = SlashMagic_Commands.code
	local desc = SlashMagic_Commands.desc
	local vers = SlashMagic_Commands.vers
	local dcmds = SM.Commands_Defaults.cmds
	local dcode = SM.Commands_Defaults.code
	local ddesc = SM.Commands_Defaults.desc
	local dvers = SM.Commands_Defaults.vers
	
	for index in pairs(dcmds) do
		cmds[index] = dcmds[index]
		desc[index] = ddesc[index]
		vers[index] = dvers[index]
		code[index] = { unpack( dcode[index] ) }
	end
	
	SlashMagic_Settings.Salted = true
	return
end

SM.Enable = function( index )
	if not( SMS.Enable ) then
		return
	end
	if not(SlashMagic_CmdVars[index]) then
		SlashMagic_CmdVars[index] = {}
	end
	
	SlashMagicStaticValues[index] = {}
	
	if CMDS[index] then
		local cmdName = cmdKey:format(strupper(index))
		local CodeCleanup = {unpack(CODE[index])}
		for x = 1, #CodeCleanup do
			CodeCleanup[x] = string.trim( CodeCleanup[x]) -- removes excess spaces at start / end
			local found = string.find( CodeCleanup[x], "--", 1, true) -- removes comments
			if found then
				if found == 1 then
					CodeCleanup[x] = ""
				else
					CodeCleanup[x] = string.sub(CodeCleanup[x], 1, found - 1)
				end
			end
		end
		local code = string.join(" ", unpack(CodeCleanup) )
		code = string.format("local saved = SlashMagic_CmdVars['%s'] local static = SlashMagicStaticValues['%s'] ", index, index) .. code
		RunScript( ('SLASH_%s1 = "/%s"'):format( cmdName, strlower(index) ) )
		RunScript( ('SlashCmdList["%s"] = function(msg) %s end'):format( cmdName, code) )
	end
end

SM.Disable = function( index, force )
	if type(CMDS[index]) == "boolean" or force then
		local cmdName = cmdKey:format(strupper(index))
		local i=1;
		while _G["SLASH_"..cmdName..i]~=nil do
			local slash=strupper(_G["SLASH_"..cmdName..i]);
			_G["SLASH_"..cmdName..i]=nil;--   Removes SLASH_*
			hash_SlashCmdList[slash]=nil;-- Removes from hash_SlashCmdList
			i=i+1;
		end

		SlashCmdList[cmdName]=nil;--  Removes from SlashCmdList
		getmetatable(SlashCmdList).__index[cmdName]=nil;--    Removes from metatable
	end
end
	
SM.Reset1 = function( index )
	if type( SM.Commands_Defaults.cmds[index] ) == "boolean" then
		SM.Disable( index )		
		
		CMDS[index] = SM.Commands_Defaults.cmds[index]
		DESC[index] = SM.Commands_Defaults.desc[index]
		VERS[index] = SM.Commands_Defaults.vers[index]
		CODE[index] = { unpack( SM.Commands_Defaults.code[index] ) }
		
		SM.Enable( index )
		return true
	end
	return false
end

SM.Reset = function()
	SlashMagic_Settings.Salted = false
	for index, value in pairs( CMDS ) do
		if value then
			SM.Disable( index )
		end
	end

	SM.SetDefaults()

	CMDS = SlashMagic_Commands.cmds
	CODE = SlashMagic_Commands.code
	DESC = SlashMagic_Commands.desc
	
	for index, value in pairs( CMDS ) do
		if value then
			SM.Enable( index )
		end
	end
end

SM.Update = function()
	local dcmds = SM.Commands_Defaults.cmds
	local dcode = SM.Commands_Defaults.code
	local ddesc = SM.Commands_Defaults.desc
	local dvers = SM.Commands_Defaults.vers
	local cmds = SlashMagic_Commands.cmds
	local code = SlashMagic_Commands.code
	local desc = SlashMagic_Commands.desc
	
	if not( SlashMagic_Commands.vers ) then
		SlashMagic_Commands.vers = {}
	end
	
	local vers = SlashMagic_Commands.vers
	
	
	for index, value in pairs( dvers ) do
		local ver = vers[index]
		if not( ver ) or type(ver) == "number" and ver < value then
			cmds[index] = dcmds[index]
			desc[index] = ddesc[index]
			vers[index] = dvers[index]
			code[index] = { unpack( dcode[index]) }
		end
	end
end

SM.AddonEnable = function()
	for index, value in pairs(CMDS) do
		if value then
			SM.Enable( index )
		end
	end
end

SM.AddonDisable = function()
	for index, value in pairs(CMDS) do
		if value then
			SM.Disable( index, true )
		end
	end
end

SM.Frame:SetScript("OnEvent",function(self, event, ...)
	local arg = ...
	if event == "ADDON_LOADED" and arg == AddonName then
		addOptionMt( SlashMagic_Settings , SM.Settings_Defaults )
		SMS = SlashMagic_Settings
		
		if not( SMS.Salted ) then
			SM.SetDefaults()
		end
		
		if type( SlashMagic_CmdVars ) ~= "table" then
			SlashMagic_CmdVars = {}
		end
		
		SM.Update()
	
		CMDS = SlashMagic_Commands.cmds
		CODE = SlashMagic_Commands.code
		DESC = SlashMagic_Commands.desc
		VERS = SlashMagic_Commands.vers
		
		if SMS.Enable then
			for index, value in pairs( CMDS ) do
				if value then
					SM.Enable( index )
				end
			end
		end
		SJprint(grn, FriendlyAddonName, wht, " ver:", GetAddOnMetadata( AddonName, "Version"), " loaded. type: \"/sm config\" to setup the addon", res)
	end
	return self, event, ...
end)

-- Slash Commands
SLASH_SLASHMAGIC1 = "/slashmagic"
SLASH_SLASHMAGIC2 = "/sm"

SlashCmdList["SLASHMAGIC"] = function(msg)
	msg = msg:lower()
	local cmd,arg,arg2 = string.split(" ", msg, 3)

	if cmd == "config" or cmd == "cfg" then
		SM.ConfigFrame:Show()
		return
	end

	
	if not(SMS.Enable) and cmd ~= "enable" then
		print(" ")
		SJprint( yel, FriendlyAddonName, res)
		SJprint( yel, "  This addon is ", red, "DISABLED", res)
		SJprint( yel, "  Type: ", blu, "/sm enable on", res)
		SJprint( yel, "  to enable.", res)
		return
	end
	
	if cmd == "enable" then
		OptSaveTF( SMS, "Enable", arg)
		if SMS.Enable then
			SM.AddonEnable()
		else
			SM.AddonDisable()
		end
		return
	end
	
	if cmd == "reset" then
		SM.Reset()
		return
	end
	
	if type(CMDS[cmd]) == "boolean" then
		local cmdName = cmdKey:format( strupper(cmd) )
		if arg then
			local tobool = { ["on"] = 1,   ["true"] = 1,   ["1"] = 1, ["yes"] = 1,
							 ["off"] = 0, ["false"] = 0, ["0"] = 0, ["no"] = 0}
			
			if tobool[arg] then
				CMDS[cmd] = tobool[ arg ] == 1
				if CMDS[cmd] then
					SM.Enable( cmd )
				else
					SM.Disable( cmd )
				end
				
			elseif arg == "reset" then
				if SM.Reset1( cmd ) then
					SJprint( yel, "Slash Magic:", blu, cmd, yel, "has been reset to default.", res)
				else
					SJprint( yel, "Slash Magic:", blu, cmd, yel, "is not a default command so it can not be reset.", res)
					return
				end
				
			else
				SJprint(yel, "Slash Magic:", wht, "valid options for commands are [on/off/reset] not", red, arg, res)
				
			end
			
		end
		
		SJprint( yel, "Slash Magic:", blu, cmd, yel, "is set", (CMDS[cmd] and (grn.."ON") or (red.."OFF")), res)
		return
	end
	
	if cmd == "cmdlist" or cmd == "help" or cmd == "" then
		local CmdList = {}
		for index in pairs(CMDS) do
			CmdList[#CmdList +1] = index
		end
		table.sort(CmdList)
		SJprint(yel, FriendlyAddonName, res)
		SJprint(yel, "This is a list of all available commands and whether they are enabled or not", res)
		print(" ")
		for x = 1, #CmdList do
			local index = CmdList[x]
			local bool = CMDS[index]
			local desc = DESC[index]
			print( ("%s%d. %s/%s%s     %s"):format(wht, x, ( bool and grn or red ), index, res, desc ) )
			print(" ")
		end
		SJprint(yel, "Active commands are listed as", grn, "GREEN", yel, "while inactive commands are", red, "RED", res)
		SJprint(yel, "Type:", blu, "/sm COMMANDNAME on/off", yel, "to change a commands state", res)
		SJprint(yel, "Type:", blu, "/sm config", yel, "to edit commands and settings", res)
		return
	end
	
	print(" ")
	SJprint( yel, FriendlyAddonName, res)
	SJprint( yel, "  Error: ", red, cmd, yel, " is not a valid command", res)
	SJprint( yel, "  Type: ", blu, "/sm ", yel, "for the addon status and command list", res)
	SJprint( yel, "  Type: ", blu, "/sm ", "cmdlist", yel, "for command list help", res)
	return

end

