local WoWFuncColor = "|c000099ff"
local eventColor = "|c00cc66ff"
local methodColor = "|c0000ffff"

if type(defaultColorTableImport) ~= "table" then
	defaultColorTableImport = {}
end

if type(defaultTextColorTableImport) ~= "table" then
	defaultTextColorTableImport = {}
end

-- ****************************************************************************
-- * WoW Functions                                                            *
-- ****************************************************************************

local temp = {		
	-- Account
	"GetAccountExpansionLevel",
	"GetBillingTimeRested",
	"PartialPlayTime",
	"NoPlayTime",

	-- Achievement
	"AddTrackedAchievement",
	"CanShowAchievementUI",
	"ClearAchievementComparisonUnit",
	"GetAchievementCategory",
	"GetAchievementComparisonInfo",
	"GetAchievementCriteriaInfo",
	"GetAchievementCriteriaInfoByID",
	"GetAchievementInfo",
	"GetAchievementInfoFromCriteria",
	"GetAchievementLink",
	"GetAchievementNumCriteria",
	"GetAchievementNumRewards",
	"GetCategoryInfo",
	"GetCategoryList",
	"GetCategoryNumAchievements",
	"GetComparisonAchievementPoints",
	"GetComparisonCategoryNumAchievements",
	"GetComparisonStatistic",
	"GetLatestCompletedAchievements",
	"GetLatestCompletedComparisonAchievements",
	"GetLatestUpdatedComparisonStats",
	"GetLatestUpdatedStats",
	"GetNextAchievement",
	"GetNumComparisonCompletedAchievements",
	"GetNumCompletedAchievements",
	"GetPreviousAchievement",
	"GetStatistic",
	"GetStatisticsCategoryList",
	"GetTotalAchievementPoints",
	"GetTrackedAchievements",
	"GetNumTrackedAchievements",
	"RemoveTrackedAchievement",
	"SetAchievementComparisonUnit",

	-- Action
	"ActionButtonDown",
	"ActionButtonUp",
	"ActionHasRange",
	"BonusActionButtonDown",
	"BonusActionButtonUp",
	"CameraOrSelectOrMoveStart",
	"CameraOrSelectOrMoveStop",
	"ChangeActionBarPage",
	"GetActionBarPage",
	"GetActionBarToggles",
	"GetActionCooldown",
	"GetActionCount",
	"GetActionInfo",
	"GetActionText",
	"GetActionTexture",
	"GetBonusBarOffset",
	"GetMouseButtonClicked",
	"GetMultiCastBarOffset",
	"GetPossessInfo",
	"HasAction",
	"IsActionInRange",
	"IsAttackAction",
	"IsAutoRepeatAction",
	"IsCurrentAction",
	"IsConsumableAction",
	"IsEquippedAction",
	"IsUsableAction",
	"PetHasActionBar",
	"PickupAction",
	"PickupPetAction",
	"PlaceAction",
	"SetActionBarToggles",
	"StopAttack",
	"TurnOrActionStart",
	"TurnOrActionStop",
	"UseAction",

	-- Activity
	"AcceptDuel",
	"AttackTarget",
	"CancelDuel",
	"CancelLogout",
	"ClearTutorials",
	"CancelSummon",
	"ConfirmSummon",
	"DescendStop",
	"Dismount",
	"FlagTutorial",
	"ForceQuit",
	"GetPVPTimer",
	"GetSummonConfirmAreaName",
	"GetSummonConfirmSummoner",
	"GetSummonConfirmTimeLeft",
	"Logout",
	"Quit",
	"RandomRoll",
	"SetPVP",
	"SitStandOrDescendStart",
	"StartDuel",
	"TogglePVP",
	"ToggleSheath",
	"UseSoulstone",

	-- AddOn
	"DisableAddOn",
	"DisableAllAddOns",
	"EnableAddOn",
	"EnableAllAddOns",
	"GetAddOnDependencies",
	"GetAddOnInfo",
	"GetAddOnMetadata",
	"GetNumAddOns",
	"IsAddOnLoaded",
	"IsAddOnLoadOnDemand",
	"LoadAddOn",
	"ResetDisabledAddOns",

	-- Archaeology
	"CanSolveArtifact",
	"GetArtifactInfoByRace",
	"GetArtifactProgress",
	"GetNumArtifactsByRace",
	"GetSelectedArtifactInfo",
	"IsArtifactCompletionHistoryAvailable",
	"ItemAddedToArtifact",
	"RemoveItemFromArtifact",
	"RequestArtifactCompletionHistory",
	"SocketItemToArtifact",

	-- Arena
	"AcceptArenaTeam",
	"ArenaTeamInviteByName",
	"ArenaTeamSetLeaderByName",
	"ArenaTeamLeave",
	"ArenaTeamRoster",
	"ArenaTeamUninviteByName",
	"ArenaTeamDisband",
	"DeclineArenaTeam",
	"GetArenaTeam",
	"GetArenaTeamGdfInfo",
	"GetArenaTeamRosterInfo",
	"GetBattlefieldTeamInfo",
	"GetCurrentArenaSeason",
	"GetInspectArenaTeamData",
	"GetNumArenaTeamMembers",
	"GetPreviousArenaSeason",
	"IsActiveBattlefieldArena",
	"IsArenaTeamCaptain",
	"IsInArenaTeam",

	-- Auction
	"CalculateAuctionDeposit",
	"CanCancelAuction",
	"CancelSell",
	"CanSendAuctionQuery",
	"CancelAuction",
	"ClickAuctionSellItemButton",
	"CloseAuctionHouse",
	"GetAuctionHouseDepositRate",
	"GetAuctionInvTypes",
	"GetAuctionItemClasses",
	"GetAuctionItemInfo",
	"GetAuctionItemLink",
	"GetAuctionItemSubClasses",
	"GetAuctionItemTimeLeft",
	"GetAuctionSellItemInfo",
	"GetBidderAuctionItems",
	"GetNumAuctionItems",
	"GetOwnerAuctionItems",
	"GetSelectedAuctionItem",
	"IsAuctionSortReversed",
	"PlaceAuctionBid",
	"QueryAuctionItems",
	"SetAuctionsTabShowing",
	"SetSelectedAuctionItem",
	"SortAuctionItems",
	"StartAuction",
	"AuctionFrameAuctions.duration",

	-- Bank
	"BankButtonIDToInvSlotID",
	"CloseBankFrame",
	"GetBankSlotCost",
	"GetNumBankSlots",
	"PurchaseSlot",

	-- Barber Shop
	"ApplyBarberShopStyle",
	"BarberShopReset",
	"CancelBarberShop",
	"GetBarberShopStyleInfo",
	"GetBarberShopTotalCost",
	"GetFacialHairCustomization",
	"GetHairCustomization",
	"SetNextBarberShopStyle",

	-- Battlefield
	"AcceptAreaSpiritHeal",
	"AcceptBattlefieldPort",
	"CancelAreaSpiritHeal",
	"CanJoinBattlefieldAsGroup",
	"CheckSpiritHealerDist",
	"GetAreaSpiritHealerTime",
	"GetBattlefieldEstimatedWaitTime",
	"GetBattlefieldFlagPosition",
	"GetBattlefieldInstanceExpiration",
	"GetBattlefieldInstanceRunTime",
	"GetBattlefieldMapIconScale",
	"GetBattlefieldPortExpiration",
	"GetBattlefieldPosition",
	"GetBattlefieldScore",
	"GetBattlefieldStatData",
	"GetBattlefieldStatInfo",
	"GetBattlefieldStatus",
	"GetBattlefieldTimeWaited",
	"GetBattlefieldWinner",
	"GetBattlegroundInfo",
	"GetNumBattlefieldFlagPositions",
	"GetNumBattlefieldPositions",
	"GetNumBattlefieldScores",
	"GetNumBattlefieldStats",
	"GetNumWorldStateUI",
	"GetWintergraspWaitTime",
	"GetWorldStateUIInfo",
	"IsPVPTimerRunning",
	"JoinBattlefield",
	"LeaveBattlefield",
	"ReportPlayerIsPVPAFK",
	"RequestBattlefieldPositions",
	"RequestBattlefieldScoreData",
	"RequestBattlegroundInstanceInfo",
	"SetBattlefieldScoreFaction",

	-- Binding
	"GetBinding",
	"GetBindingAction",
	"GetBindingKey",
	"GetBindingText",
	"GetCurrentBindingSet",
	"GetNumBindings",
	"LoadBindings",
	"RunBinding",
	"SaveBindings",
	"SetBinding",
	"SetBindingSpell",
	"SetBindingClick",
	"SetBindingItem",
	"SetBindingMacro",
	"SetConsoleKey",
	"SetOverrideBinding",
	"SetOverrideBindingSpell",
	"SetOverrideBindingClick",
	"SetOverrideBindingItem",
	"SetOverrideBindingMacro",
	"ClearOverrideBindings",
	"SetMouselookOverrideBinding",
	"IsModifierKeyDown",
	"IsModifiedClick",
	"IsMouseButtonDown",

	-- Buff / Debuff
	"CancelUnitBuff",
	"CancelShapeshiftForm",
	"CancelItemTempEnchantment",
	"GetWeaponEnchantInfo",
	"UnitAura",
	"UnitBuff",
	"UnitDebuff",

	-- Calendar
	"CalendarAddEvent",
	"CalendarCanAddEvent",
	"CalendarCanSendInvite",
	"CalendarCloseEvent",
	"CalendarContextDeselectEvent",
	"CalendarContextEventCanComplain",
	"CalendarContextEventCanEdit",
	"CalendarContextEventClipboard",
	"CalendarContextEventComplain",
	"CalendarContextEventCopy",
	"CalendarContextEventGetCalendarType",
	"CalendarContextEventPaste",
	"CalendarContextEventRemove",
	"CalendarContextEventSignUp",
	"CalendarContextGetEventIndex",
	"CalendarContextInviteAvailable",
	"CalendarContextInviteDecline",
	"CalendarContextInviteIsPending",
	"CalendarContextInviteTentative",
	"CalendarContextInviteType",
	"CalendarContextInviteModeratorStatus",
	"CalendarContextInviteRemove",
	"CalendarContextInviteStatus",
	"CalendarContextSelectEvent",
	"CalendarDefaultGuildFilter",
	"CalendarEventAvailable",
	"CalendarEventCanEdit",
	"CalendarEventCanModerate",
	"CalendarEventClearAutoApprove",
	"CalendarEventClearLocked",
	"CalendarEventClearModerator",
	"CalendarEventDecline",
	"CalendarEventGetCalendarType",
	"CalendarEventGetInvite",
	"CalendarEventGetInviteResponseTime",
	"CalendarEventGetInviteSortCriterion",
	"CalendarEventGetNumInvites",
	"CalendarEventGetRepeatOptions",
	"CalendarEventGetSelectedInvite",
	"CalendarEventGetStatusOptions",
	"CalendarEventGetTextures",
	"CalendarEventGetTypes",
	"CalendarEventHasPendingInvite",
	"CalendarEventHaveSettingsChanged",
	"CalendarEventInvite",
	"CalendarEventIsModerator",
	"CalendarEventRemoveInvite",
	"CalendarEventSelectInvite",
	"CalendarEventSetAutoApprove",
	"CalendarEventSetDate",
	"CalendarEventSetDescription",
	"CalendarEventSetLocked",
	"CalendarEventSetLockoutDate",
	"CalendarEventSetLockoutTime",
	"CalendarEventSetModerator",
	"CalendarEventSetRepeatOption",
	"CalendarEventSetSize",
	"CalendarEventSetStatus",
	"CalendarEventSetTextureID",
	"CalendarEventSetTime",
	"CalendarEventSetTitle",
	"CalendarEventSetType",
	"CalendarEventSignUp",
	"CalendarEventSortInvites",
	"CalendarEventTentative",
	"CalendarGetAbsMonth",
	"CalendarGetDate",
	"CalendarGetDayEvent",
	"CalendarGetDayEventSequenceInfo",
	"CalendarGetEventIndex",
	"CalendarGetEventInfo",
	"CalendarGetFirstPendingInvite",
	"CalendarGetHolidayInfo",
	"CalendarGetMaxCreateDate",
	"CalendarGetMaxDate",
	"CalendarGetMinDate",
	"CalendarGetMinHistoryDate",
	"CalendarGetMonth",
	"CalendarGetMonthNames",
	"CalendarGetNumDayEvents",
	"CalendarGetNumPendingInvites",
	"CalendarGetRaidInfo",
	"CalendarGetWeekdayNames",
	"CalendarIsActionPending",
	"CalendarMassInviteArenaTeam",
	"CalendarMassInviteGuild",
	"CalendarNewEvent",
	"CalendarNewGuildAnnouncement",
	"CalendarNewGuildEvent",
	"CalendarOpenEvent",
	"CalendarRemoveEvent",
	"CalendarSetAbsMonth",
	"CalendarSetMonth",
	"CalendarUpdateEvent",
	"OpenCalendar",

	-- Camera
	"CameraOrSelectOrMoveStart",
	"CameraOrSelectOrMoveStop",
	"CameraZoomIn",
	"CameraZoomOut",
	"FlipCameraYaw",
	"IsMouselooking",
	"MouselookStart",
	"MouselookStop",
	"MoveViewDownStart",
	"MoveViewDownStop",
	"MoveViewInStart",
	"MoveViewInStop",
	"MoveViewLeftStart",
	"MoveViewLeftStop",
	"MoveViewOutStart",
	"MoveViewOutStop",
	"MoveViewRightStart",
	"MoveViewRightStop",
	"MoveViewUpStart",
	"MoveViewUpStop",
	"PitchDownStart",
	"PitchDownStop",
	"PitchUpStart",
	"PitchUpStop",
	"NextView",
	"PrevView",
	"ResetView",
	"SaveView",
	"SetView",

	-- Channel
	"AddChatWindowChannel",
	"ChannelBan",
	"ChannelInvite",
	"ChannelKick",
	"ChannelModerator",
	"ChannelMute",
	"ChannelToggleAnnouncements",
	"ChannelUnban",
	"ChannelUnmoderator",
	"ChannelUnmute",
	"DisplayChannelOwner",
	"DeclineInvite",
	"EnumerateServerChannels",
	"GetChannelList",
	"GetChannelName",
	"GetChatWindowChannels",
	"JoinChannelByName",
	"LeaveChannelByName",
	"ListChannelByName",
	"ListChannels",
	"RemoveChatWindowChannel",
	"SendChatMessage",
	"SetChannelOwner",
	"SetChannelPassword",

	-- Character
	"AcceptResurrect",
	"AcceptXPLoss",
	"CheckBinderDist",
	"ConfirmBinder",
	"DeclineResurrect",
	"DestroyTotem",
	"GetBindLocation",
	"GetComboPoints",
	"GetCorpseRecoveryDelay",
	"GetCurrentTitle",
	"GetMirrorTimerInfo",
	"GetMirrorTimerProgress",
	"GetMoney",
	"GetNumTitles",
	"GetPlayerFacing",
	"GetPVPDesired",
	"GetReleaseTimeRemaining",
	"GetResSicknessDuration",
	"GetRestState",
	"GetRuneCooldown",
	"GetRuneCount",
	"GetRuneType",
	"GetTimeToWellRested",
	"GetTitleName",
	"GetUnitPitch",
	"GetXPExhaustion",
	"HasFullControl",
	"HasSoulstone",
	"IsFalling",
	"IsFlying",
	"IsFlyableArea",
	"IsIndoors",
	"IsMounted",
	"IsOutdoors",
	"IsOutOfBounds",
	"IsResting",
	"IsStealthed",
	"IsSwimming",
	"IsTitleKnown",
	"IsXPUserDisabled",
	"NotWhileDeadError",
	"ResurrectHasSickness",
	"ResurrectHasTimer",
	"ResurrectGetOfferer",
	"RetrieveCorpse",
	"SetCurrentTitle",
	"TargetTotem",

	-- Character Statistics
	"GetArmorPenetration",
	"GetAttackPowerForStat",
	"GetAverageItemLevel",
	"GetBlockChance",
	"GetCombatRating",
	"GetCombatRatingBonus",
	"GetCritChance",
	"GetCritChanceFromAgility",
	"GetDodgeChance",
	"GetExpertise",
	"GetExpertisePercent",
	"GetManaRegen",
	"GetMastery",
	"GetMasteryEffect",
	"GetMaxCombatRatingBonus",
	"GetParryChance",
	"GetPetSpellBonusDamage",
	"GetPowerRegen",
	"GetSpellBonusDamage",
	"GetRangedCritChance",
	"GetSpellBonusHealing",
	"GetSpellCritChance",
	"GetShieldBlock",
	"GetSpellCritChanceFromIntellect",
	"GetSpellPenetration",

	-- Chat Window
	"AddChatWindowChannel",
	"AddChatWindowMessages",
	"ChangeChatColor",
	"ChatFrame:AddChannel",
	"ChatFrame:AddMessageEventFilter",
	"ChatFrame:GetMessageEventFilters",
	"ChatFrame:OnHyperlinkShow",
	"ChatFrame:RemoveMessageEventFilter",
	"GetAutoCompleteResults",
	"GetChatTypeIndex",
	"GetChatWindowChannels",
	"GetChatWindowInfo",
	"GetChatWindowMessages",
	"JoinChannelByName",
	"LoggingChat",
	"LoggingCombat",
	"RemoveChatWindowChannel",
	"RemoveChatWindowMessages",
	"SetChatWindowAlpha",
	"SetChatWindowColor",
	"SetChatWindowDocked",
	"SetChatWindowLocked",
	"SetChatWindowName",
	"SetChatWindowShown",
	"SetChatWindowSize",
	"SetChatWindowUninteractable",

	-- Communication
	"DoEmote",
	"GetDefaultLanguage",
	"GetLanguageByIndex",
	"GetNumLanguages",
	"GetRegisteredAddonMessagePrefixes",
	"IsAddonMessagePrefixRegistered",
	"RandomRoll",
	"RegisterAddonMessagePrefix",
	"SendAddonMessage",
	"SendChatMessage",

	-- Companion
	"CallCompanion",
	"DismissCompanion",
	"GetCompanionInfo",
	"GetNumCompanions",
	"GetCompanionCooldown",
	"PickupCompanion",
	"SummonRandomCritter",

	-- Container / Bag
	"ContainerIDToInventoryID",
	"GetBagName",
	"GetContainerItemCooldown",
	"GetContainerItemDurability",
	"GetContainerItemGems",
	"GetContainerItemID",
	"GetContainerItemInfo",
	"GetContainerItemLink",
	"GetContainerNumSlots",
	"GetContainerItemQuestInfo",
	"GetContainerNumFreeSlots",
	"HasKey",
	"OpenAllBags",
	"CloseAllBags",
	"PickupBagFromSlot",
	"PickupContainerItem",
	"PutItemInBackpack",
	"PutItemInBag",
	"PutKeyInKeyRing",
	"SplitContainerItem",
	"ToggleBackpack",
	"ToggleBag",
	"UseContainerItem",

	-- Currency Edit
	"GetCoinText",
	"GetCoinTextureString",
	"GetCurrencyInfo",
	"GetCurrencyListSize",
	"GetCurrencyListInfo",
	"ExpandCurrencyList",
	"SetCurrencyUnused",
	"GetNumWatchedTokens",
	"GetBackpackCurrencyInfo",
	"SetCurrencyBackpack",

	-- Cursor
	"AutoEquipCursorItem",
	"ClearCursor",
	"CursorCanGoInSlot",
	"CursorHasItem",
	"CursorHasMoney",
	"CursorHasSpell",
	"DeleteCursorItem",
	"DropCursorMoney",
	"DropItemOnUnit",
	"EquipCursorItem",
	"GetCursorInfo",
	"GetCursorMoney",
	"GetCursorPosition",
	"HideRepairCursor",
	"InRepairMode",
	"PickupAction",
	"PickupBagFromSlot",
	"PickupContainerItem",
	"PickupInventoryItem",
	"PickupItem",
	"PickupMacro",
	"PickupMerchantItem",
	"PickupPetAction",
	"PickupPlayerMoney",
	"PickupSpell",
	"PickupStablePet",
	"PickupTradeMoney",
	"PlaceAction",
	"PutItemInBackpack",
	"PutItemInBag",
	"ResetCursor",
	"SetCursor",
	"ShowContainerSellCursor",
	"ShowInspectCursor",
	"ShowInventorySellCursor",
	"ShowMerchantSellCursor",
	"ShowRepairCursor",
	"SplitContainerItem",

	-- Debugging
	"ConsoleAddMessage",
	"debugprofilestart",
	"debugprofilestop",
	"debugstack",
	"FrameXML_Debug",
	"GetDebugStats",
	"getprinthandler",
	"print",
	"setprinthandler",
	"tostringall",
	"wipe",

	-- Dressing Room
	"DressUpItemLink",
	"SetDressUpBackground",

	-- Dungeon Finder
	"AcceptProposal",
	"CanPartyLFGBackfill",
	"GetLFDChoiceCollapseState",
	"GetLFDChoiceEnabledState",
	"GetLFDChoiceInfo",
	"GetLFDChoiceLockedState",
	"GetLFDChoiceOrder",
	"GetLFDLockPlayerCount",
	"GetLFDLockInfo",
	"GetLFGDungeonInfo",
	"GetLFGDungeonRewards",
	"GetLFGDungeonRewardInfo",
	"GetLFGInfoServer",
	"GetLFGProposal",
	"GetLFGProposalEncounter",
	"GetLFGProposalMember",
	"GetLFGRandomDungeonInfo",
	"GetNumRandomDungeons",
	"GetPartyLFGBackfillInfo",
	"GetRandomDungeonBestChoice",
	"HasLFGRestrictions",
	"IsLFGDungeonJoinable",
	"LFGTeleport",
	"RejectProposal",
	"SetLFGHeaderCollapsed",
	"UnitGroupRolesAssigned",

	-- Enchanting
	"GetWeaponEnchantInfo",
	"ReplaceEnchant",
	"ReplaceTradeEnchant",
	"BindEnchant",

	-- Equipment
	"GetNumEquipmentSets",
	"GetEquipmentSetInfo",
	"GetEquipmentSetInfoByName",
	"GetEquipmentSetItemIDs",
	"GetEquipmentSetLocations",
	"EquipmentManager:UnpackLocation",
	"PickupEquipmentSet",
	"PickupEquipmentSetByName",
	"EquipmentSetContainsLockedItems",
	"UseEquipmentSet",
	"EquipmentManagerIgnoreSlotForSave",
	"EquipmentManagerUnignoreSlotForSave",
	"EquipmentManagerClearIgnoredSlotsForSave",
	"SaveEquipmentSet",
	"RenameEquipmentSet",
	"DeleteEquipmentSet",
	"GetEquipmentSetIconInfo",

	-- Faction
	"CollapseFactionHeader",
	"CollapseAllFactionHeaders",
	"ExpandFactionHeader",
	"ExpandAllFactionHeaders",
	"FactionToggleAtWar",
	"GetFactionInfo",
	"GetNumFactions",
	"GetSelectedFaction",
	"GetWatchedFactionInfo",
	"IsFactionInactive",
	"SetFactionActive",
	"SetFactionInactive",
	"SetSelectedFaction",
	"SetWatchedFactionIndex",
	"UnitFactionGroup",

	-- Frame
	"CreateFrame",
	"CreateFont",
	"GetFramesRegisteredForEvent",
	"GetNumFrames",
	"EasyMenu",
	"EnumerateFrames",
	"GetMouseFocus",
	"MouseIsOver",
	"ToggleDropDownMenu",
	"UIFrameFadeIn",
	"UIFrameFlash",

	-- Friend
	"AddFriend",
	"AddOrRemoveFriend",
	"GetFriendInfo",
	"SetFriendNotes",
	"GetNumFriends",
	"GetSelectedFriend",
	"RemoveFriend",
	"SetSelectedFriend",
	"ShowFriends",
	"ToggleFriendsFrame",

	-- Glyph
	"GetNumGlyphSockets",
	"GetGlyphSocketInfo",
	"GetGlyphLink",
	"GlyphMatchesSocket",
	"PlaceGlyphInSocket",
	"RemoveGlyphFromSocket",
	"SpellCanTargetGlyph",

	-- GM
	"CanComplainChat",
	"CanComplainInboxItem",
	"ComplainChat",
	"ComplainInboxItem",
	"DeleteGMTicket",
	"GMRequestPlayerInfo",
	"GetGMStatus",
	"GetGMTicket",
	"GetGMTicketCategories",
	"GMSurveyAnswerSubmit",
	"GMSurveyCommentSubmit",
	"GMSurveyQuestion",
	"GMSurveySubmit",
	"HelpReportLag",
	"NewGMTicket",
	"Stuck",
	"UpdateGMTicket",

	-- Gossip
	"CloseGossip",
	"ForceGossip",
	"GetGossipActiveQuests",
	"GetGossipAvailableQuests",
	"GetGossipOptions",
	"GetGossipText",
	"GetNumGossipActiveQuests",
	"GetNumGossipAvailableQuests",
	"GetNumGossipOptions",
	"SelectGossipActiveQuest",
	"SelectGossipAvailableQuest",
	"SelectGossipOption",

	-- Group
	"AcceptGroup",
	"ConfirmReadyCheck",
	"ConvertToRaid",
	"DeclineGroup",
	"DoReadyCheck",
	"GetLootMethod",
	"GetLootThreshold",
	"GetMasterLootCandidate",
	"GetNumGroupMembers",
	"GetNumSubgroupMembers",
	"GetPartyLeaderIndex",
	"GetPartyMember",
	"InviteUnit",
	"IsInGroup",
	"IsInRaid",
	"UnitIsGroupAssistant",
	"UnitIsGroupLeader",
	"LeaveParty",
	"PromoteToLeader",
	"SetLootMethod",
	"SetLootThreshold",
	"UninviteUnit",
	"UnitInParty",

	-- Guild
	"AcceptGuild",
	"BuyGuildCharter",
	"CanEditGuildEvent",
	"CanEditGuildInfo",
	"CanEditMOTD",
	"CanEditOfficerNote",
	"CanEditPublicNote",
	"CanGuildDemote",
	"CanGuildInvite",
	"CanGuildPromote",
	"CanGuildRemove",
	"CanViewOfficerNote",
	"CloseGuildRegistrar",
	"CloseGuildRoster",
	"CloseTabardCreation",
	"DeclineGuild",
	"GetGuildCharterCost",
	"GetGuildEventInfo",
	"GetGuildInfo",
	"GetGuildInfoText",
	"GetGuildRosterInfo",
	"GetGuildRosterLastOnline",
	"GetGuildRosterMOTD",
	"GetGuildRosterSelection",
	"GetGuildRosterShowOffline",
	"GetNumGuildEvents",
	"GetNumGuildMembers",
	"GetTabardCreationCost",
	"GetTabardInfo",
	"GuildControlAddRank",
	"GuildControlDelRank",
	"GuildControlGetNumRanks",
	"GuildControlGetRankFlags",
	"GuildControlGetRankName",
	"GuildControlSaveRank",
	"GuildControlSetRank",
	"GuildControlSetRankFlag",
	"GuildDemote",
	"GuildDisband",
	"GuildInfo",
	"GuildInvite",
	"GuildLeave",
	"GuildPromote",
	"GuildRoster",
	"GuildRosterSetOfficerNote",
	"GuildRosterSetPublicNote",
	"GuildSetMOTD",
	"GuildSetLeader",
	"GuildUninvite",
	"IsGuildLeader",
	"IsInGuild",
	"QueryGuildEventLog",
	"SetGuildInfoText",
	"SetGuildRosterSelection",
	"SetGuildRosterShowOffline",
	"SortGuildRoster",
	"UnitGetGuildXP",

	-- Guild Bank
	"AutoStoreGuildBankItem",
	"BuyGuildBankTab",
	"CanGuildBankRepair",
	"CanWithdrawGuildBankMoney",
	"CloseGuildBankFrame",
	"DepositGuildBankMoney",
	"GetCurrentGuildBankTab",
	"GetGuildBankItemInfo",
	"GetGuildBankItemLink",
	"GetGuildBankMoney",
	"GetGuildBankMoneyTransaction",
	"GetGuildBankTabCost",
	"GetGuildBankTabInfo",
	"GetGuildBankTabPermissions",
	"GetGuildBankText",
	"GetGuildBankTransaction",
	"GetGuildBankWithdrawGoldLimit",
	"GetGuildTabardFileNames",
	"GetNumGuildBankMoneyTransactions",
	"GetNumGuildBankTabs",
	"GetNumGuildBankTransactions",
	"PickupGuildBankItem",
	"PickupGuildBankMoney",
	"QueryGuildBankLog",
	"QueryGuildBankTab",
	"SetCurrentGuildBankTab",
	"SetGuildBankTabInfo",
	"SetGuildBankTabPermissions",
	"SetGuildBankWithdrawGoldLimit",
	"SplitGuildBankItem",
	"WithdrawGuildBankMoney",

	-- Honor
	"GetHolidayBGHonorCurrencyBonuses",
	"GetInspectHonorData",
	"GetPVPLifetimeStats",
	"GetPVPRankInfo",
	"GetPVPRankProgress",
	"GetPVPSessionStats",
	"GetPVPYesterdayStats",
	"GetRandomBGHonorCurrencyBonuses",
	"HasInspectHonorData",
	"RequestInspectHonorData",
	"UnitPVPName",
	"UnitPVPRank",

	-- Ignore
	"AddIgnore",
	"AddOrDelIgnore",
	"DelIgnore",
	"GetIgnoreName",
	"GetNumIgnores",
	"GetSelectedIgnore",
	"SetSelectedIgnore",

	-- Inspection
	"CanInspect",
	"CheckInteractDistance",
	"ClearInspectPlayer",
	"GetInspectArenaTeamData",
	"HasInspectHonorData",
	"RequestInspectHonorData",
	"GetInspectHonorData",
	"NotifyInspect",
	"InspectUnit",

	-- Instance
	"CanShowResetInstances",
	"GetBattlefieldInstanceExpiration",
	"GetBattlefieldInstanceInfo",
	"GetBattlefieldInstanceRunTime",
	"GetInstanceBootTimeRemaining",
	"GetInstanceInfo",
	"GetNumSavedInstances",
	"GetSavedInstanceInfo",
	"IsInInstance",
	"ResetInstances",
	"GetDungeonDifficulty",
	"SetDungeonDifficulty",
	"GetInstanceDifficulty",
	"GetInstanceLockTimeRemaining",
	"GetInstanceLockTimeRemainingEncounter",

	-- Inventory
	"AutoEquipCursorItem",
	"BankButtonIDToInvSlotID",
	"CancelPendingEquip",
	"ConfirmBindOnUse",
	"ContainerIDToInventoryID",
	"CursorCanGoInSlot",
	"EquipCursorItem",
	"EquipPendingItem",
	"GetInventoryAlertStatus",
	"GetInventoryItemBroken",
	"GetInventoryItemCooldown",
	"GetInventoryItemCount",
	"GetInventoryItemDurability",
	"GetInventoryItemGems",
	"GetInventoryItemID",
	"GetInventoryItemLink",
	"GetInventoryItemQuality",
	"GetInventoryItemTexture",
	"GetInventorySlotInfo",
	"GetWeaponEnchantInfo",
	"HasWandEquipped",
	"IsInventoryItemLocked",
	"KeyRingButtonIDToInvSlotID",
	"PickupBagFromSlot",
	"PickupInventoryItem",
	"UpdateInventoryAlertStatus",
	"UseInventoryItem",

	-- Item
	"EquipItemByName",
	"GetAuctionItemLink",
	"GetContainerItemLink",
	"GetItemCooldown",
	"GetItemCount",
	"GetItemFamily",
	"GetItemIcon",
	"GetItemInfo",
	"GetItemQualityColor",
	"GetItemSpell",
	"GetItemStats",
	"GetMerchantItemLink",
	"GetQuestItemLink",
	"GetQuestLogItemLink",
	"GetTradePlayerItemLink",
	"GetTradeSkillItemLink",
	"GetTradeSkillReagentItemLink",
	"GetTradeTargetItemLink",
	"IsUsableItem",
	"IsConsumableItem",
	["IsCurrentItem"] = WoWFuncColor,
	"IsEquippedItem",
	"IsEquippableItem",
	"IsEquippedItemType",
	"IsItemInRange",
	"ItemHasRange",
	"OffhandHasWeapon",
	"SplitContainerItem",
	"SetItemRef",

	-- Item Socketing
	"AcceptSockets",
	"ClickSocketButton",
	"CloseSocketInfo",
	"GetSocketItemInfo",
	"GetSocketItemRefundable",
	"GetSocketItemBoundTradeable",
	"GetNumSockets",
	"GetSocketTypes",
	"GetExistingSocketInfo",
	"GetExistingSocketLink",
	"GetNewSocketInfo",
	"GetNewSocketLink",
	"SocketInventoryItem",
	"SocketContainerItem",

	-- Item Text
	"CloseItemText",
	"ItemTextGetCreator",
	"ItemTextGetItem",
	"ItemTextGetMaterial",
	"ItemTextGetPage",
	"ItemTextGetText",
	"ItemTextHasNextPage",
	"ItemTextNextPage",
	"ItemTextPrevPage",

	-- Knowledge Base
	"KBArticle_BeginLoading",
	"KBArticle_GetData",
	"KBArticle_IsLoaded",
	"KBQuery_BeginLoading",
	"KBQuery_GetArticleHeaderCount",
	"KBQuery_GetArticleHeaderData",
	"KBQuery_GetTotalArticleCount",
	"KBQuery_IsLoaded",
	"KBSetup_BeginLoading",
	"KBSetup_GetArticleHeaderCount",
	"KBSetup_GetArticleHeaderData",
	"KBSetup_GetCategoryCount",
	"KBSetup_GetCategoryData",
	"KBSetup_GetLanguageCount",
	"KBSetup_GetLanguageData",
	"KBSetup_GetSubCategoryCount",
	"KBSetup_GetSubCategoryData",
	"KBSetup_GetTotalArticleCount",
	"KBSetup_IsLoaded",
	"KBSystem_GetMOTD",
	"KBSystem_GetServerNotice",
	"KBSystem_GetServerStatus",

	-- Location
	"GetMinimapZoneText",
	"GetRealZoneText",
	"GetSubZoneText",
	"GetZonePVPInfo",
	"GetZoneText",

	-- Looking for Group
	"CompleteLFGRoleCheck",
	"GetLFGDeserterExpiration",
	"GetLFGRandomCooldownExpiration",
	"GetLFGBootProposal",
	"GetLFGMode",
	"GetLFGQueueStats",
	"GetLFGRoles",
	"GetLFGRoleUpdate",
	"GetLFGRoleUpdateSlot",
	"SetLFGBootVote",
	"SetLFGComment",
	"SetLFGRoles",
	"UninviteUnit",
	"UnitGroupRolesAssigned",
	"UnitHasLFGDeserter",
	"UnitHasLFGRandomCooldown",

	-- Loot
	"CloseLoot",
	"ConfirmBindOnUse",
	"ConfirmLootRoll",
	"ConfirmLootSlot",
	"GetLootMethod",
	"GetLootRollItemInfo",
	"GetLootRollItemLink",
	"GetLootRollTimeLeft",
	"GetLootSlotInfo",
	"GetLootSlotLink",
	"GetLootThreshold",
	"GetMasterLootCandidate",
	"GetNumLootItems",
	"GetOptOutOfLoot",
	"GiveMasterLoot",
	"IsFishingLoot",
	"LootSlot",
	"LootSlotIsCoin",
	"LootSlotIsCurrency",
	"LootSlotIsItem",
	"RollOnLoot",
	"SetLootMethod",
	"SetLootPortrait",
	"SetLootThreshold",
	"SetOptOutOfLoot",

	-- Macro
	"CreateMacro",
	"CursorHasMacro",
	"DeleteMacro",
	"EditMacro",
	"GetMacroBody",
	"GetMacroIconInfo",
	"GetMacroItemIconInfo",
	"GetMacroIndexByName",
	"GetMacroInfo",
	"GetNumMacroIcons",
	"GetNumMacroItemIcons",
	"GetNumMacros",
	"PickupMacro",
	"RunMacro",
	"RunMacroText",
	"SecureCmdOptionParse",
	"StopMacro",

	-- Mail
	"AutoLootMailItem",
	"CheckInbox",
	"ClearSendMail",
	"ClickSendMailItemButton",
	"CloseMail",
	"DeleteInboxItem",
	"DropCursorMoney",
	"GetCoinIcon",
	"GetInboxHeaderInfo",
	"GetInboxItem",
	"GetInboxItemLink",
	"GetInboxNumItems",
	"GetInboxText",
	"GetInboxInvoiceInfo",
	"GetLatestThreeSenders",
	"GetNumPackages",
	"GetNumStationeries",
	"GetPackageInfo",
	"GetSelectedStationeryTexture",
	"GetSendMailCOD",
	"GetSendMailItem",
	"GetSendMailItemLink",
	"GetSendMailMoney",
	"GetSendMailPrice",
	"GetStationeryInfo",
	"HasNewMail",
	"InboxItemCanDelete",
	"ReturnInboxItem",
	"SelectPackage",
	"SelectStationery",
	"SendMail",
	"SetSendMailCOD",
	"SetSendMailMoney",
	"TakeInboxItem",
	"TakeInboxMoney",
	"TakeInboxTextItem",

	-- Mapping
	"ClickLandmark",
	"GetChallengeModeMapInfo",
	"GetCorpseMapPosition",
	"GetCurrentMapContinent",
	"GetCurrentMapDungeonLevel",
	"GetNumDungeonMapLevels",
	"GetCurrentMapAreaID",
	"GetCurrentMapZone",
	"GetMapContinents",
	"GetMapDebugObjectInfo",
	"GetMapInfo",
	"GetMapLandmarkInfo",
	"GetMapNameByID",
	"GetMapOverlayInfo",
	"GetMapZones",
	"GetNumMapDebugObjects",
	"GetNumMapLandmarks",
	"GetNumMapOverlays",
	"GetPlayerMapPosition",
	"ProcessMapClick",
	"RequestBattlefieldPositions",
	"SetDungeonMapLevel",
	"SetMapByID",
	"SetMapToCurrentZone",
	"SetMapZoom",
	"SetupFullscreenScale",
	"UpdateMapHighlight",
	"CreateWorldMapArrowFrame",
	"UpdateWorldMapArrowFrames",
	"ShowWorldMapArrowFrame",
	"PositionWorldMapArrowFrame",
	"ZoomOut",

	--Merchant
	"BuyMerchantItem",
	"BuybackItem",
	"CanMerchantRepair",
	"CloseMerchant",
	"GetBuybackItemInfo",
	"GetBuybackItemLink",
	"GetMerchantItemCostInfo",
	"GetMerchantItemCostItem",
	"GetMerchantItemInfo",
	"GetMerchantItemLink",
	"GetMerchantItemMaxStack",
	"GetMerchantNumItems",
	"GetRepairAllCost",
	"HideRepairCursor",
	"InRepairMode",
	"PickupMerchantItem",
	"RepairAllItems",
	"ShowMerchantSellCursor",
	"ShowRepairCursor",
	"GetNumBuybackItems",

	-- Movement
	"FollowUnit",
	"CameraOrSelectOrMoveStart",
	"CameraOrSelectOrMoveStop",
	"JumpOrAscendStart",
	"AscendStop",
	"MoveBackwardStart",
	"MoveBackwardStop",
	"MoveForwardStart",
	"MoveForwardStop",
	"StrafeLeftStart",
	"StrafeLeftStop",
	"StrafeRightStart",
	"StrafeRightStop",
	"ToggleAutoRun",
	"ToggleRun",
	"TurnLeftStart",
	"TurnLeftStop",
	"TurnOrActionStart",
	"TurnOrActionStop",
	"TurnRightStart",
	"TurnRightStop",

	-- Music Player
	"MusicPlayer_BackTrack",
	"MusicPlayer_NextTrack",
	"MusicPlayer_PlayPause",
	"MusicPlayer_VolumeDown",
	"MusicPlayer_VolumeUp",

	-- Pet
	"CastPetAction",
	"ClosePetStables",
	"DropItemOnUnit",
	"GetPetActionCooldown",
	"GetPetActionInfo",
	"GetPetActionSlotUsable",
	"GetPetActionsUsable",
	"GetPetExperience",
	"GetPetFoodTypes",
	"GetPetHappiness",
	"GetPetIcon",
	"GetPetTimeRemaining",
	"GetStablePetFoodTypes",
	"GetStablePetInfo",
	"HasPetSpells",
	"HasPetUI",
	"PetAbandon",
	"PetAggressiveMode",
	"PetAttack",
	"IsPetAttackActive",
	"PetStopAttack",
	"PetCanBeAbandoned",
	"PetCanBeDismissed",
	"PetCanBeRenamed",
	"PetDefensiveMode",
	"PetDismiss",
	"PetFollow",
	"PetHasActionBar",
	"PetPassiveMode",
	"PetRename",
	"PetWait",
	"PickupPetAction",
	"PickupStablePet",
	"SetPetStablePaperdoll",
	"TogglePetAutocast",
	"ToggleSpellAutocast",
	"GetSpellAutocast",

	-- Petition
	"CanSignPetition",
	"ClosePetition",
	"GetNumPetitionNames",
	"GetPetitionInfo",
	"GetPetitionNameInfo",
	"OfferPetition",
	"RenamePetition",
	"SignPetition",
	"TurnInGuildCharter",

	-- Quest
	"AbandonQuest",
	"AcceptQuest",
	"AddQuestWatch",
	"CloseQuest",
	"CollapseQuestHeader",
	"CompleteQuest",
	"ConfirmAcceptQuest",
	"DeclineQuest",
	"ExpandQuestHeader",
	"GetAbandonQuestName",
	"GetActiveLevel",
	"GetActiveTitle",
	"GetAvailableLevel",
	"GetAvailableTitle",
	"GetAvailableQuestInfo",
	"GetGreetingText",
	"GetNumActiveQuests",
	"GetNumAvailableQuests",
	"GetNumQuestChoices",
	"GetNumQuestItems",
	"GetNumQuestLeaderBoards",
	"GetNumQuestLogChoices",
	"GetNumQuestLogEntries",
	"GetNumQuestLogRewards",
	"GetNumQuestRewards",
	"GetNumQuestWatches",
	"GetObjectiveText",
	"GetProgressText",
	"GetQuestBackgroundMaterial",
	"GetQuestGreenRange",
	"GetQuestIndexForTimer",
	"GetQuestIndexForWatch",
	"GetQuestItemInfo",
	"GetQuestItemLink",
	"GetQuestLink",
	"GetQuestLogChoiceInfo",
	"GetQuestLogGroupNum",
	"GetQuestLogItemLink",
	"GetQuestLogLeaderBoard",
	"GetQuestLogPushable",
	"GetQuestLogQuestText",
	"GetQuestLogRequiredMoney",
	"GetQuestLogRewardInfo",
	"GetQuestLogRewardMoney",
	"GetQuestLogRewardSpell",
	"GetQuestLogRewardTalents",
	"GetQuestLogSelection",
	"GetQuestLogTimeLeft",
	"GetQuestLogTitle",
	"GetQuestMoneyToGet",
	"GetQuestReward",
	"GetQuestText",
	"GetQuestTimers",
	"GetRewardArenaPoints",
	"GetRewardHonor",
	"GetRewardMoney",
	"GetRewardSpell",
	"GetRewardTalents",
	"GetRewardText",
	"GetRewardTitle",
	"GetRewardXP",
	"GetTitleText",
	"IsCurrentQuestFailed",
	"IsQuestCompletable",
	"IsQuestFlaggedCompleted",
	"IsQuestWatched",
	"IsUnitOnQuest",
	"QuestChooseRewardError",
	"QuestFlagsPVP",
	"QuestGetAutoAccept",
	"QuestLogPushQuest",
	"RemoveQuestWatch",
	"SelectActiveQuest",
	"SelectAvailableQuest",
	"SelectQuestLogEntry",
	"SetAbandonQuest",
	"ShiftQuestWatches",
	"SortQuestWatches",
	"GetDailyQuestsCompleted",
	"GetMaxDailyQuests",
	"GetQuestResetTime",
	"WatchFrame_Update",
	"QueryQuestsCompleted",
	"GetQuestsCompleted",
	"QuestIsDaily",
	"QuestIsWeekly",

	-- Raid
	"ClearRaidMarker",
	"ConvertToRaid",
	"ConvertToParty",
	"DemoteAssistant",
	"GetAllowLowLevelRaid",
	"GetPartyAssignment",
	"GetPartyAssignment",
	"GetRaidRosterInfo",
	"GetRaidRosterSelection",
	"GetRaidTargetIndex",
	"GetReadyCheckStatus",
	"InitiateRolePoll",
	"PlaceRaidMarker",
	"PromoteToAssistant",
	"RequestRaidInfo",
	"SetPartyAssignment",
	"SetAllowLowLevelRaid",
	"SetRaidRosterSelection",
	"SetRaidSubgroup",
	"SwapRaidSubgroup",
	"SetRaidTarget",
	"UnitInRaid",

	-- Raid Browser
	"LFGGetDungeonInfoByID",
	"GetInstanceLockTimeRemainingEncounter",
	"RefreshLFGList",
	"SearchLFGGetEncounterResults",
	"SearchLFGGetJoinedID",
	"SearchLFGGetNumResults",
	"SearchLFGGetPartyResults",
	"SearchLFGGetResults",
	"SearchLFGJoin",
	"SearchLFGLeave",
	"SearchLFGSort",
	"SetLFGComment",

	-- Raid Browser / Dungeon Finder
	"ClearAllLFGDungeons",
	"JoinLFG",
	"LeaveLFG",
	"RequestLFDPartyLockInfo",
	"RequestLFDPlayerLockInfo",
	"SetLFGDungeon",
	"SetLFGDungeonEnabled",
	"SetLFGHeaderCollapsed",

	-- RealID (BNet)
	"BNAcceptFriendInvite",
	"BNConnected",
	"BNCreateConversation",
	"BNDeclineFriendInvite",
	"BNFeaturesEnabled",
	"BNFeaturesEnabledAndConnected",
	"BNGetBlockedInfo",
	"BNGetBlockedToonInfo",
	"BNGetConversationInfo",
	"BNGetConversationMemberInfo",
	"BNGetCustomMessageTable",
	"BNGetFOFInfo",
	"BNGetFriendInfo",
	"BNGetFriendInfoByID",
	"BNGetFriendInviteInfo",
	"BNGetFriendToonInfo",
	"BNGetInfo",
	"BNGetMatureLanguageFilter",
	"BNGetMaxPlayersInConversation",
	"BNGetNumBlocked",
	"BNGetNumBlockedToons",
	"BNGetNumConversationMembers",
	"BNGetNumFOF",
	"BNGetFOFInfo",
	"BNGetNumFriendInvites",
	"BNGetNumFriends",
	"BNGetNumFriendToons",
	"BNGetSelectedBlock",
	"BNGetSelectedFriend",
	"BNGetSelectedToonBlock",
	"BNGetToonInfo",
	"BNInviteToConversation",
	"BNIsBlocked",
	"BNIsFriend",
	"BNIsSelf",
	"BNIsToonBlocked",
	"BNLeaveConversation",
	"BNListConversation",
	"BNRemoveFriend",
	"BNReportFriendInvite",
	"BNReportPlayer",
	"BNSendConversationMessage",
	"BNSendFriendInvite",
	"BNSendFriendInviteByID",
	"BNSendWhisper",
	"BNSetAFK",
	"BNSetBlocked",
	"BNSetCustomMessage",
	"BNSetDND",
	"BNSetFocus",
	"BNSetFriendNote",
	"BNSetMatureLanguageFilter",
	"BNSetSelectedBlock",
	"BNSetSelectedFriend",
	"BNSetSelectedToonBlock",
	"BNSetToonBlocked",
	"IsBNLogin",
	"CanCooperateWithToon",

	-- Recruit-a-Friend
	"AcceptLevelGrant",
	"DeclineLevelGrant",
	"IsReferAFriendLinked",
	"CanGrantLevel",
	"GrantLevel",
	"CanSummonFriend",
	"SummonFriend",
	"GetSummonFriendCooldown",

	-- Script Profiling
	"GetAddOnCPUUsage",
	"GetAddOnMemoryUsage",
	"GetEventCPUUsage",
	"GetFrameCPUUsage",
	"GetFunctionCPUUsage",
	"GetScriptCPUUsage",
	"ResetCPUUsage",
	"UpdateAddOnCPUUsage",
	"UpdateAddOnMemoryUsage",

	-- Security / Protection
	"issecure",
	"forceinsecure",
	"issecurevariable",
	"securecall",
	"hooksecurefunc",
	"InCombatLockdown",
	"scrub",

	-- Settings
	"CombatTextSetActiveUnit",
	"DownloadSettings",
	"GetCVar",
	"GetCVarDefault",
	"GetCVarBool",
	"GetCVarInfo",
	"GetCurrentMultisampleFormat",
	"GetCurrentResolution",
	"GetGamma",
	"GetMultisampleFormats",
	"GetRefreshRates",
	"GetScreenResolutions",
	"GetVideoCaps",
	"IsThreatWarningEnabled",
	"RegisterCVar",
	"ResetPerformanceValues",
	"ResetTutorials",
	"SetCVar",
	"SetEuropeanNumbers",
	"SetGamma",
	"SetLayoutMode",
	"SetMultisampleFormat",
	"SetScreenResolution",
	"ShowCloak",
	"ShowHelm",
	"ShowNumericThreat",
	"ShowingCloak",
	"ShowingHelm",
	"UploadSettings",

	-- Spell
	"CastShapeshiftForm",
	"CastSpell",
	"CastSpellByName",
	"GetMultiCastTotemSpells",
	"GetNumShapeshiftForms",
	"GetNumSpellTabs",
	"GetQuestLogRewardSpell",
	"GetRewardSpell",
	"GetShapeshiftForm",
	"GetShapeshiftFormCooldown",
	"GetShapeshiftFormInfo",
	"GetSpellAutocast",
	"GetSpellBookItemInfo",
	"GetSpellBookItemName",
	"GetSpellCooldown",
	"GetSpellDescription",
	"GetSpellInfo",
	"GetSpellLink",
	"GetSpellTabInfo",
	"GetSpellTexture",
	"GetTotemInfo",
	"IsAttackSpell",
	"IsAutoRepeatSpell",
	"IsPassiveSpell",
	"IsSpellInRange",
	"IsUsableSpell",
	"PickupSpell",
	"QueryCastSequence",
	"SetMultiCastSpell",
	"SpellCanTargetUnit",
	"SpellHasRange",
	"SpellIsTargeting",
	"SpellStopCasting",
	"SpellStopTargeting",
	"SpellTargetUnit",
	"ToggleSpellAutocast",
	"UnitCastingInfo",
	"UnitChannelInfo",

	-- System
	"ConsoleExec",
	"DetectWowMouse",
	"GetBuildInfo",
	"geterrorhandler",
	"GetCurrentKeyBoardFocus",
	"GetExistingLocales",
	"GetFramerate",
	"GetGameTime",
	"GetLocale",
	"GetCursorPosition",
	"GetNetStats",
	"GetRealmName",
	"GetScreenHeight",
	"GetScreenWidth",
	"GetText",
	"GetTime",
	"IsAltKeyDown",
	"InCinematic",
	"IsControlKeyDown",
	"IsDebugBuild",
	"IsDesaturateSupported",
	"IsLeftAltKeyDown",
	"IsLeftControlKeyDown",
	"IsLeftShiftKeyDown",
	"IsLinuxClient",
	"IsLoggedIn",
	"IsMacClient",
	"IsRightAltKeyDown",
	"IsRightControlKeyDown",
	"IsRightShiftKeyDown",
	"IsShiftKeyDown",
	"IsStereoVideoAvailable",
	"IsWindowsClient",
	"OpeningCinematic",
	"PlayMusic",
	"PlaySound",
	"PlaySoundFile",
	"ReloadUI",
	"RepopMe",
	"RequestTimePlayed",
	"RestartGx",
	"RunScript",
	"Screenshot",
	"SecondsToTime",
	"SetAutoDeclineGuildInvites",
	"seterrorhandler",
	"StopCinematic",
	"StopMusic",
	"UIParentLoadAddOn",
	"TakeScreenshot",
	"ERRORMESSAGE",
	"debuginfo",
	"message",

	-- Specialization
	"GetActiveSpecGroup",
	"SetActiveSpecGroup",
	"GetNumSpecGroups",
	"GetSpecialization",
	"GetNumUnspentTalents",
	"GetNumSpecializations",
	"GetSpecializationInfo",
	"GetSpecializationInfoByID",
	"GetSpecializationRole",

	-- Talent
	"BuyTrainerService",
	"CheckTalentMasterDist",
	"ConfirmTalentWipe",
	"GetNumTalents",
	"GetTalentInfo",
	"GetTalentLink",
	"GetTalentPrereqs",
	"LearnTalent",
	"AddPreviewTalentPoints",
	"GetGroupPreviewTalentPointsSpent",
	"GetPreviewTalentPointsSpent",
	"LearnPreviewTalents",
	"ResetGroupPreviewTalentPoints",
	"ResetPreviewTalentPoints",

	-- Targeting
	"AssistUnit",
	"AttackTarget",
	"ClearTarget",
	"ClickTargetTradeButton",
	"TargetLastEnemy",
	"TargetLastTarget",
	"TargetNearestEnemy",
	"TargetNearestEnemyPlayer",
	"TargetNearestFriend",
	"TargetNearestFriendPlayer",
	"TargetNearestPartyMember",
	"TargetNearestRaidMember",
	"TargetUnit",

	--Taxi
	"CloseTaxiMap",
	"DrawRouteLine",
	"GetNumRoutes",
	"NumTaxiNodes",
	"SetTaxiMap",
	"TakeTaxiNode",
	"TaxiNodeCost",
	"TaxiNodeGetType",
	"TaxiGetSrcX",
	"TaxiGetSrcY",
	"TaxiGetDestX",
	"TaxiGetDestY",
	"TaxiNodeSetCurrent",
	"TaxiNodeName",
	"TaxiNodePosition",
	"UnitOnTaxi",

	-- Toggle
	"ToggleBackpack",
	"ToggleBag",
	"ToggleCharacter",
	"ToggleFramerate",
	"ToggleFriendsFrame",
	"ToggleGameMenu",
	"ToggleHelpFrame",
	"ToggleKeyRing",
	"ToggleMinimap",
	"TogglePVPFrame",
	"ToggleSpellBook",
	"ToggleTalentFrame",
	"ToggleAchievementFrame",

	-- TradeSkill
	"CloseTradeSkill",
	"CollapseTradeSkillSubClass",
	"DoTradeSkill",
	"ExpandTradeSkillSubClass",
	"GetFirstTradeSkill",
	"GetNumTradeSkills",
	"GetTradeSkillCooldown",
	"GetTradeSkillDescription",
	"GetTradeSkillIcon",
	"GetTradeSkillInfo",
	"GetTradeSkillInvSlotFilter",
	"GetTradeSkillInvSlots",
	"GetTradeSkillItemLink",
	"GetTradeSkillLine",
	"GetTradeSkillListLink",
	"GetTradeSkillNumMade",
	"GetTradeSkillNumReagents",
	"GetTradeSkillReagentInfo",
	"GetTradeSkillReagentItemLink",
	"GetTradeSkillRecipeLink",
	"GetTradeSkillSelectionIndex",
	"GetTradeSkillSubClassFilter",
	"GetTradeSkillSubClasses",
	"GetTradeSkillTools",
	"GetTradeskillRepeatCount",
	"IsTradeskillTrainer",
	"IsTradeSkillLinked",
	"SelectTradeSkill",
	"SetTradeSkillInvSlotFilter",
	"SetTradeSkillSubClassFilter",
	"StopTradeSkillRepeat",
	"TradeSkillOnlyShowMakeable",

	-- Tracking
	"GetNumTrackingTypes",
	"GetTrackingInfo",
	"SetTracking",

	-- Trading
	"AcceptTrade",
	"AddTradeMoney",
	"CancelTrade",
	"CancelTradeAccept",
	"ClickTargetTradeButton",
	"ClickTradeButton",
	"CloseTrade",
	"GetPlayerTradeMoney",
	"GetTargetTradeMoney",
	"GetTradePlayerItemInfo",
	"GetTradePlayerItemLink",
	"GetTradeTargetItemInfo",
	"GetTradeTargetItemLink",
	"InitiateTrade",
	"PickupPlayerMoney",
	"PickupTradeMoney",
	"SetTradeMoney",
	"ReplaceTradeEnchant",

	-- Training
	"BuyTrainerService",
	"CloseTrainer",
	"GetNumTrainerServices",
	"GetTrainerGreetingText",
	"GetTrainerSelectionIndex",
	"GetTrainerServiceAbilityReq",
	"GetTrainerServiceCost",
	"GetTrainerServiceDescription",
	"GetTrainerServiceIcon",
	"GetTrainerServiceInfo",
	"GetTrainerServiceItemLink",
	"GetTrainerServiceLevelReq",
	"GetTrainerServiceNumAbilityReq",
	"GetTrainerServiceSkillLine",
	"GetTrainerServiceSkillReq",
	"GetTrainerServiceTypeFilter",
	"IsTradeskillTrainer",
	"OpenTrainer",
	"SelectTrainerService",
	"SetTrainerServiceTypeFilter",

	-- Unit
	"AssistUnit",
	"CheckInteractDistance",
	"DropItemOnUnit",
	"FollowUnit",
	"FocusUnit",
	"ClearFocus",
	"GetUnitName",
	"GetUnitPitch",
	"GetUnitSpeed",
	"InviteUnit",
	"IsUnitOnQuest",
	"SpellCanTargetUnit",
	"SpellTargetUnit",
	"TargetUnit",
	"UnitAffectingCombat",
	"UnitArmor",
	"UnitAttackBothHands",
	"UnitAttackPower",
	"UnitAttackSpeed",
	"UnitAura",
	"UnitBuff",
	"UnitCanAssist",
	"UnitCanAttack",
	"UnitCanCooperate",
	"UnitClass",
	"UnitClassification",
	"UnitCreatureFamily",
	"UnitCreatureType",
	"UnitDamage",
	"UnitDebuff",
	"UnitDefense",
	"UnitDetailedThreatSituation",
	"UnitExists",
	"UnitFactionGroup",
	"UnitGroupRolesAssigned",
	"UnitGUID",
	"GetPlayerInfoByGUID",
	"UnitHasLFGDeserter",
	"UnitHasLFGRandomCooldown",
	"UnitHasRelicSlot",
	"UnitHealth",
	"UnitHealthMax",
	"UnitInParty",
	"UnitInRaid",
	"UnitInBattleground",
	"UnitIsInMyGuild",
	"UnitInRange",
	"UnitIsAFK",
	"UnitIsCharmed",
	"UnitIsConnected",
	"UnitIsCorpse",
	"UnitIsDead",
	"UnitIsDeadOrGhost",
	"UnitIsDND",
	"UnitIsEnemy",
	"UnitIsFeignDeath",
	"UnitIsFriend",
	"UnitIsGhost",
	"UnitIsPVP",
	"UnitIsPVPFreeForAll",
	"UnitIsPVPSanctuary",
	"UnitIsPlayer",
	"UnitIsPossessed",
	"UnitIsSameServer",
	"UnitIsTapped",
	"UnitIsTappedByPlayer",
	"UnitIsTappedByAllThreatList",
	"UnitIsTrivial",
	"UnitIsUnit",
	"UnitIsVisible",
	"UnitLevel",
	"UnitMana",
	"UnitManaMax",
	"UnitName",
	"UnitOnTaxi",
	"UnitPlayerControlled",
	"UnitPlayerOrPetInParty",
	"UnitPlayerOrPetInRaid",
	"UnitPVPName",
	"UnitPVPRank",
	"UnitPower",
	"UnitPowerMax",
	"UnitPowerType",
	"UnitRace",
	"UnitRangedAttack",
	"UnitRangedAttackPower",
	"UnitRangedDamage",
	"UnitReaction",
	"UnitResistance",
	"UnitSelectionColor",
	"UnitSex",
	"UnitStat",
	"UnitThreatSituation",
	"UnitUsingVehicle",
	"GetThreatStatusColor",
	"UnitXP",
	"UnitXPMax",
	"SetPortraitTexture",
	"SetPortraitToTexture",

	-- Vehicle
	"CanExitVehicle",
	"CanSwitchVehicleSeats",
	"CanEjectPassengerFromSeat",
	"GetBattlefieldVehicleInfo",
	"GetNumBattlefieldVehicles",
	"EjectPassengerFromSeat",
	"IsUsingVehicleControls",
	"IsUsingVehicleControls",
	"IsVehicleAimAngleAdjustable",
	"IsVehicleAimPowerAdjustable",
	"UnitControllingVehicle",
	"UnitHasVehicleUI",
	"UnitInVehicle",
	"UnitInVehicleControlSeat",
	"UnitSwitchToVehicleSeat",
	"UnitTargetsVehicleInRaidUI",
	"UnitVehicleSeatCount",
	"UnitVehicleSeatInfo",
	"UnitVehicleSkin",
	"VehicleAimDecrement",
	"VehicleAimDownStart",
	"VehicleAimDownStop",
	"VehicleAimGetAngle",
	"VehicleAimGetNormAngle",
	"VehicleAimGetNormPower",
	"VehicleAimIncrement",
	"VehicleAimRequestAngle",
	"VehicleAimRequestNormAngle",
	"VehicleAimSetNormPower",
	"VehicleAimUpStart",
	"VehicleAimUpStop",
	"VehicleCameraZoomIn",
	"VehicleCameraZoomOut",
	"VehicleExit",
	"VehicleNextSeat",
	"VehiclePrevSeat",

	-- Voice Chat
	"AddMute",
	"AddOrDelMute",
	"ChannelSilenceAll",
	"ChannelSilenceVoice",
	"ChannelUnSilenceAll",
	"ChannelUnSilenceVoice",
	"ChannelVoiceOff",
	"ChannelVoiceOn",
	"DelMute",
	"DisplayChannelVoiceOff",
	"DisplayChannelVoiceOn",
	"GetActiveVoiceChannel",
	"GetChannelDisplayInfo",
	"GetNumVoiceSessions",
	"GetSelectedDisplayChannel",
	"GetSelectedMute",
	"GetMuteName",
	"GetMuteStatus",
	"GetNumMutes",
	"GetVoiceCurrentSessionID",
	"GetVoiceSessionInfo",
	"GetVoiceStatus",
	"IsMuted",
	"IsSilenced",
	"IsVoiceChatAllowed",
	"IsVoiceChatEnabled",
	"SetActiveVoiceChannelBySessionID",
	"SetActiveVoiceChannel",
	"SetSelectedDisplayChannel",
	"SetSelectedMute",
	"UnitIsSilenced",
	"UnitIsTalking",
	"UnSilenceMember",
	"VoiceChat_ActivatePrimaryCaptureCallback",
	"VoiceChat_GetCurrentMicrophoneSignalLevel",
	"VoiceChat_IsPlayingLoopbackSound",
	"VoiceChat_IsRecordingLoopbackSound",
	"VoiceChat_PlayLoopbackSound",
	"VoiceChat_RecordLoopbackSound",
	"VoiceChat_StartCapture",
	"VoiceChat_StopCapture",
	"VoiceChat_StopPlayingLoopbackSound",
	"VoiceChat_StopRecordingLoopbackSound",
	"VoiceEnumerateCaptureDevices",
	"VoiceEnumerateOutputDevices",
	"VoiceGetCurrentCaptureDevice",
	"VoiceGetCurrentOutputDevice",
	"VoiceIsDisabledByClient",
	"VoicePushToTalkStart",
	"VoicePushToTalkStop",
	"VoiceSelectCaptureDevice",
	"VoiceSelectOutputDevice",

	--World Battlefield
	"BattlefieldMgrEntryInviteResponse",
	"BattlefieldMgrExitRequest",
	"BattlefieldMgrQueueInviteResponse",
	"BattlefieldMgrQueueRequest",
	"CanHearthAndResurrectFromArea",
	"HearthAndResurrectFromArea",
	"CanQueueForWintergrasp",
	"GetWintergraspWaitTime",
	"GetWorldPVPQueueStatus",

	-- Who
	"GetNumWhoResults",
	"GetWhoInfo",
	"SendWho",
	"SetWhoToUI",
	"SortWho",
}

for x = 1, #temp do
	defaultColorTableImport[temp[x]] = WoWFuncColor
end
temp = nil

-- ****************************************************************************
-- * WoW Methods                                                              *
-- ****************************************************************************

local temp = {
	"AddDoubleLine",
	"AddFontStrings",
	"AddHistoryLine",
	"AddLine",
	"AddMessage",
	"AddTexture",
	"AdvanceTime",
	"AllowAttributeChanges",
	"AppendText",
	"AtBottom",
	"AtTop",
	"CanChangeAttribute",
	"CanChangeProtectedState",
	"CanNonSpaceWrap",
	"CanSaveTabardNow",
	"CanWordWrap",
	"Clear",
	"ClearAllPoints",
	"ClearFocus",
	"ClearFog",
	"ClearHistory",
	"ClearLines",
	"ClearModel",
	"Click",
	"CopyFontObject",
	"CreateAnimation",
	"CreateAnimationGroup",
	"CreateControlPoint",
	"CreateFontString",
	"CreateTexture",
	"CreateTitleRegion",
	"CycleVariation",
	"Disable",
	"DisableDrawLayer",
	"DrawQuestBlob",
	"Dress",
	"Enable",
	"EnableDrawLayer",
	"EnableJoystick",
	"EnableKeyboard",
	"EnableMerging",
	"EnableMouse",
	"EnableMouseWheel",
	"EnableSmoothing",
	"EnableSubtitles",
	"FadeOut",
	"Finish",
	"GetAlpha",
	"GetAltArrowKeyMode",
	"GetAnchorType",
	"GetAnimationGroups",
	"GetAnimations",
	"GetAttribute",
	"GetBackdrop",
	"GetBackdropBorderColor",
	"GetBackdropColor",
	"GetBlendMode",
	"GetBlinkSpeed",
	"GetBottom",
	"GetBoundsRect",
	"GetButtonState",
	"GetCenter",
	"GetChange",
	"GetChecked",
	"GetCheckedTexture",
	"GetChildren",
	"GetClampRectInsets",
	"GetColorHSV",
	"GetColorRGB",
	"GetColorValueTexture",
	"GetColorValueThumbTexture",
	"GetColorWheelTexture",
	"GetColorWheelThumbTexture",
	"GetControlPoints",
	"GetCurrentLine",
	"GetCurrentScroll",
	"GetCursorPosition",
	"GetCurve",
	"GetDegrees",
	"GetDepth",
	"GetDisabledCheckedTexture",
	"GetDisabledFontObject",
	"GetDisabledTexture",
	"GetDontSavePosition",
	"GetDrawEdge",
	"GetDrawLayer",
	"GetDuration",
	"GetEffectiveAlpha",
	"GetEffectiveDepth",
	"GetEffectiveScale",
	"GetElapsed",
	"GetEndDelay",
	"GetFacing",
	"GetFadeDuration",
	"GetFading",
	"GetFieldSize",
	"GetFogColor",
	"GetFogFar",
	"GetFogNear",
	"GetFont",
	"GetFontObject",
	"GetFontString",
	"GetFrameLevel",
	"GetFrameStrata",
	"GetHeight",
	"GetHighlightFontObject",
	"GetHighlightTexture",
	"GetHistoryLines",
	"GetHitRectInsets",
	"GetHorizTile",
	"GetHorizontalScroll",
	"GetHorizontalScrollRange",
	"GetHyperlinkFormat",
	"GetHyperlinksEnabled",
	"GetID",
	"GetIndentedWordWrap",
	"GetInitialOffset",
	"GetInputLanguage",
	"GetInsertMode",
	"GetItem",
	"GetJustifyH",
	"GetJustifyV",
	"GetLeft",
	"GetLight",
	"GetLoopState",
	"GetLooping",
	"GetLowerBackgroundFileName",
	"GetLowerEmblemFileName",
	"GetLowerEmblemTexture",
	"GetMaxBytes",
	"GetMaxFramerate",
	"GetMaxLetters",
	"GetMaxLines",
	"GetMaxOrder",
	"GetMaxResize",
	"GetMessageInfo",
	"GetMinMaxValues",
	"GetMinResize",
	"GetMinimumWidth",
	"GetModel",
	"GetModelScale",
	"GetMotionScriptsWhileDisabled",
	"GetName",
	"GetNonBlocking",
	"GetNormalFontObject",
	"GetNormalTexture",
	"GetNumChildren",
	"GetNumLetters",
	"GetNumLinesDisplayed",
	"GetNumMessages",
	"GetNumPoints",
	"GetNumRegions",
	"GetNumTooltips",
	"GetNumber",
	"GetObjectType",
	"GetOffset",
	"GetOrder",
	"GetOrientation",
	"GetOrigin",
	"GetOwner",
	"GetPadding",
	"GetParent",
	"GetPingPosition",
	"GetPoint",
	"GetPosition",
	"GetProgress",
	"GetProgressWithDelay",
	"GetPushedTextOffset",
	"GetPushedTexture",
	"GetRadians",
	"GetRect",
	"GetRegionParent",
	"GetRegions",
	"GetReverse",
	"GetRight",
	"GetRotatesTexture",
	"GetScale",
	"GetScript",
	"GetScrollChild",
	"GetShadowColor",
	"GetShadowOffset",
	"GetSize",
	"GetSmoothProgress",
	"GetSmoothing",
	"GetSpacing",
	"GetSpell",
	"GetStartDelay",
	"GetStatusBarColor",
	"GetStatusBarTexture",
	"GetStringHeight",
	"GetStringWidth",
	"GetTexCoord",
	"GetText",
	"GetTextColor",
	"GetTextHeight",
	"GetTextInsets",
	"GetTextWidth",
	"GetTexture",
	"GetThumbTexture",
	"GetTimeVisible",
	"GetTitleRegion",
	"GetTooltipIndex",
	"GetTop",
	"GetUTF8CursorPosition",
	"GetUnit",
	"GetUpperBackgroundFileName",
	"GetUpperEmblemFileName",
	"GetUpperEmblemTexture",
	"GetValue",
	"GetValueStep",
	"GetVertTile",
	"GetVertexColor",
	"GetVerticalScroll",
	"GetVerticalScrollRange",
	"GetWidth",
	"GetZoom",
	"GetZoomLevels",
	"HasFocus",
	"HasScript",
	"Hide",
	"HighlightText",
	"HookScript",
	"IgnoreDepth",
	"InitializeTabardColors",
	"Insert",
	"IsAutoFocus",
	"IsClampedToScreen",
	"IsCountInvisibleLetters",
	"IsDelaying",
	"IsDesaturated",
	"IsDone",
	"IsDragging",
	"IsEnabled",
	"IsEquippedItem",
	"IsEventRegistered",
	"IsIgnoringDepth",
	"IsInIMECompositionMode",
	"IsJoystickEnabled",
	"IsKeyboardEnabled",
	"IsMouseEnabled",
	"IsMouseOver",
	"IsMouseWheelEnabled",
	"IsMovable",
	"IsMultiLine",
	"IsNumeric",
	"IsObjectType",
	"IsOwned",
	"IsPassword",
	"IsPaused",
	"IsPendingFinish",
	"IsPlaying",
	"IsProtected",
	"IsResizable",
	"IsShown",
	"IsStopped",
	"IsToplevel",
	"IsUnit",
	"IsUserPlaced",
	"IsVisible",
	"LockHighlight",
	"Lower",
	"NumLines",
	"PageDown",
	"PageUp",
	"Pause",
	"PingLocation",
	"Play",
	"Raise",
	"RefreshUnit",
	"RegisterAllEvents",
	"RegisterEvent",
	"RegisterForClicks",
	"RegisterForDrag",
	"RemoveMessagesByAccessID",
	"ReplaceIconTexture",
	"Save",
	"ScrollDown",
	"ScrollToBottom",
	"ScrollToTop",
	"ScrollUp",
	"SetAction",
	"SetAllPoints",
	"SetAlpha",
	"SetAlphaGradient",
	"SetAltArrowKeyMode",
	"SetAnchorType",
	"SetAttribute",
	"SetAuctionItem",
	"SetAuctionSellItem",
	"SetAutoFocus",
	"SetBackdrop",
	"SetBackdropBorderColor",
	"SetBackdropColor",
	"SetBackpackToken",
	"SetBagItem",
	"SetBlendMode",
	"SetBlinkSpeed",
	"SetBlipTexture",
	"SetBorderAlpha",
	"SetBorderScalar",
	"SetBorderTexture",
	"SetButtonState",
	"SetBuybackItem",
	"SetCamera",
	"SetChange",
	"SetChecked",
	"SetCheckedTexture",
	"SetClampRectInsets",
	"SetClampedToScreen",
	"SetClassBlipTexture",
	"SetColorHSV",
	"SetColorRGB",
	"SetColorValueTexture",
	"SetColorValueThumbTexture",
	"SetColorWheelTexture",
	"SetColorWheelThumbTexture",
	"SetCooldown",
	"SetCorpsePOIArrowTexture",
	"SetCountInvisibleLetters",
	"SetCreature",
	"SetCurrencyToken",
	"SetCursorPosition",
	"SetCurve",
	"SetDegrees",
	"SetDepth",
	"SetDesaturated",
	"SetDisabledCheckedTexture",
	"SetDisabledFontObject",
	"SetDisabledTexture",
	"SetDontSavePosition",
	"SetDrawEdge",
	"SetDrawLayer",
	"SetDuration",
	"SetEndDelay",
	"SetEquipmentSet",
	"SetExistingSocketGem",
	"SetFacing",
	"SetFadeDuration",
	"SetFading",
	"SetFillAlpha",
	"SetFillTexture",
	"SetFocus",
	"SetFogColor",
	"SetFogFar",
	"SetFogNear",
	"SetFont",
	"SetFontObject",
	"SetFontString",
	"SetFormattedText",
	"SetFrameLevel",
	"SetFrameStack",
	"SetFrameStrata",
	"SetGlow",
	"SetGlyph",
	"SetGradient",
	"SetGradientAlpha",
	"SetGuildBankItem",
	"SetHeight",
	"SetHighlightFontObject",
	"SetHighlightTexture",
	"SetHistoryLines",
	"SetHitRectInsets",
	"SetHorizTile",
	"SetHorizontalScroll",
	"SetHyperlink",
	"SetHyperlinkCompareItem",
	"SetHyperlinkFormat",
	"SetHyperlinksEnabled",
	"SetID",
	"SetIconTexture",
	"SetInboxItem",
	"SetIndentedWordWrap",
	"SetInitialOffset",
	"SetInsertMode",
	"SetInventoryItem",
	"SetJustifyH",
	"SetJustifyV",
	"SetLFGCompletionReward",
	"SetLFGDungeonReward",
	"SetLight",
	"SetLooping",
	"SetLootItem",
	"SetLootRollItem",
	"SetMaskTexture",
	"SetMaxBytes",
	"SetMaxFramerate",
	"SetMaxLetters",
	"SetMaxLines",
	"SetMaxResize",
	"SetMerchantCostItem",
	"SetMerchantItem",
	"SetMergeThreshold",
	"SetMinMaxValues",
	"SetMinResize",
	"SetMinimumWidth",
	"SetModel",
	"SetModelScale",
	"SetMotionScriptsWhileDisabled",
	"SetMovable",
	"SetMultiLine",
	"SetNonBlocking",
	"SetNonSpaceWrap",
	"SetNormalFontObject",
	"SetNormalTexture",
	"SetNumSplinePoints",
	"SetNumber",
	"SetNumeric",
	"SetOffset",
	"SetOrder",
	"SetOrientation",
	"SetOrigin",
	"SetOwner",
	"SetPOIArrowTexture",
	"SetPadding",
	"SetParent",
	"SetPassword",
	"SetPetAction",
	"SetPlayerTexture",
	"SetPlayerTextureHeight",
	"SetPlayerTextureWidth",
	"SetPoint",
	"SetPosition",
	"SetPossession",
	"SetPushedTextOffset",
	"SetPushedTexture",
	"SetQuestItem",
	"SetQuestLogItem",
	"SetQuestLogRewardSpell",
	"SetQuestLogSpecialItem",
	"SetQuestRewardSpell",
	"SetRadians",
	"SetResizable",
	"SetReverse",
	"SetRotatesTexture",
	"SetRotation",
	"SetScale",
	"SetScript",
	"SetScrollChild",
	"SetScrollOffset",
	"SetSendMailItem",
	"SetSequence",
	"SetSequenceTime",
	"SetShadowColor",
	"SetShadowOffset",
	"SetShapeshift",
	"SetSize",
	"SetSmoothProgress",
	"SetSmoothing",
	"SetSocketGem",
	"SetSocketedItem",
	"SetSpacing",
	"SetSpell",
	"SetSpellByID",
	"SetStartDelay",
	"SetStaticPOIArrowTexture",
	"SetStatusBarColor",
	"SetStatusBarTexture",
	"SetTalent",
	"SetTexCoord",
	"SetText",
	"SetTextColor",
	"SetTextHeight",
	"SetTextInsets",
	"SetTexture",
	"SetThumbTexture",
	"SetTimeVisible",
	"SetToplevel",
	"SetTotem",
	"SetTracking",
	"SetTradePlayerItem",
	"SetTradeSkillItem",
	"SetTradeTargetItem",
	"SetTrainerService",
	"SetUnit",
	"SetUnitAura",
	"SetUnitBuff",
	"SetUnitDebuff",
	"SetUserPlaced",
	"SetValue",
	"SetValueStep",
	"SetVertTile",
	"SetVertexColor",
	"SetVerticalScroll",
	"SetWidth",
	"SetWordWrap",
	"SetZoom",
	"Show",
	"StartMovie",
	"StartMoving",
	"StartSizing",
	"Stop",
	"StopAnimating",
	"StopMovie",
	"StopMovingOrSizing",
	"ToggleInputLanguage",
	"TryOn",
	"Undress",
	"UnlockHighlight",
	"UnregisterAllEvents",
	"UnregisterEvent",
	"UpdateColorByID",
	"UpdateMouseOverTooltip",
	"UpdateQuestPOI",
	"UpdateScrollChildRect",
}
for x = 1, #temp do
	defaultColorTableImport[temp[x]] = methodColor
end
temp = nil

-- ****************************************************************************
-- * WoW Events                                                               *
-- ****************************************************************************

local temp = {
	-- A
	"ACHIEVEMENT_EARNED",
	"ACTIONBAR_HIDEGRID",
	"ACTIONBAR_PAGE_CHANGED",
	"ACTIONBAR_SHOWGRID",
	"ACTIONBAR_SLOT_CHANGED",
	"ACTIONBAR_UPDATE_COOLDOWN",
	"ACTIONBAR_UPDATE_STATE",
	"ACTIONBAR_UPDATE_USABLE",
	"ACTIVE_TALENT_GROUP_CHANGED",
	"ADDON_ACTION_BLOCKED",
	"ADDON_ACTION_FORBIDDEN",
	"ADDON_LOADED",
	"AREA_SPIRIT_HEALER_IN_RANGE",
	"AREA_SPIRIT_HEALER_OUT_OF_RANGE",
	"ARENA_TEAM_INVITE_REQUEST",
	"ARENA_TEAM_ROSTER_UPDATE",
	"ARENA_TEAM_UPDATE",
	"ARENA_OPPONENT_UPDATE",
	"ARENA_SEASON_WORLD_STATE",
	"AUCTION_BIDDER_LIST_UPDATE",
	"AUCTION_HOUSE_CLOSED",
	"AUCTION_HOUSE_DISABLED",
	"AUCTION_HOUSE_SHOW",
	"AUCTION_ITEM_LIST_UPDATE",
	"AUCTION_MULTISELL_FAILURE",
	"AUCTION_MULTISELL_START",
	"AUCTION_MULTISELL_UPDATE",
	"AUCTION_OWNED_LIST_UPDATE",
	"AUTOEQUIP_BIND_CONFIRM",
	"AUTOFOLLOW_BEGIN",
	"AUTOFOLLOW_END",
	
	-- B
	"BAG_CLOSED",
	"BAG_OPEN",
	"BAG_UPDATE",
	"BAG_UPDATE_COOLDOWN",
	"BANKFRAME_CLOSED",
	"BANKFRAME_OPENED",
	"BARBER_SHOP_APPEARANCE_APPLIED",
	"BARBER_SHOP_CLOSE",
	"BARBER_SHOP_OPEN",
	"BARBER_SHOP_SUCCESS",
	"BATTLEFIELDS_CLOSED",
	"BATTLEFIELDS_SHOW",
	"BATTLEFIELD_MGR_EJECTED",
	"BATTLEFIELD_MGR_EJECT_PENDING",
	"BATTLEFIELD_MGR_ENTERED",
	"BATTLEFIELD_MGR_ENTRY_INVITE",
	"BATTLEFIELD_MGR_QUEUE_INVITE",
	"BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE",
	"BATTLEFIELD_MGR_STATE_CHANGE",
	"BILLING_NAG_DIALOG",
	"BIND_ENCHANT",
	"BN_BLOCK_LIST_UPDATED",
	"BN_CHAT_CHANNEL_CLOSED",
	"BN_CHAT_CHANNEL_CREATE_FAILED",
	"BN_CHAT_CHANNEL_CREATE_SUCCEEDED",
	"BN_CHAT_CHANNEL_INVITE_FAILED",
	"BN_CHAT_CHANNEL_INVITE_SUCCEEDED",
	"BN_CHAT_CHANNEL_JOINED",
	"BN_CHAT_CHANNEL_LEFT",
	"BN_CHAT_CHANNEL_MEMBER_JOINED",
	"BN_CHAT_CHANNEL_MEMBER_LEFT",
	"BN_CHAT_CHANNEL_MEMBER_UPDATED",
	"BN_CHAT_CHANNEL_MESSAGE_BLOCKED",
	"BN_CHAT_CHANNEL_MESSAGE_UNDELIVERABLE",
	"BN_CHAT_WHISPER_UNDELIVERABLE",
	"BN_CONNECTED",
	"BN_CUSTOM_MESSAGE_CHANGED",
	"BN_CUSTOM_MESSAGE_LOADED",
	"BN_DISCONNECTED",
	"BN_FRIEND_ACCOUNT_OFFLINE",
	"BN_FRIEND_ACCOUNT_ONLINE",
	"BN_FRIEND_INFO_CHANGED",
	"BN_FRIEND_INVITE_ADDED",
	"BN_FRIEND_INVITE_LIST_INITIALIZED",
	"BN_FRIEND_INVITE_REMOVED",
	"BN_FRIEND_INVITE_SEND_RESULT",
	"BN_FRIEND_LIST_SIZE_CHANGED",
	"BN_FRIEND_TOON_OFFLINE",
	"BN_FRIEND_TOON_ONLINE",
	"BN_MATURE_LANGUAGE_FILTER",
	"BN_NEW_PRESENCE",
	"BN_REQUEST_FOF_FAILED",
	"BN_REQUEST_FOF_SUCCEEDED",
	"BN_SELF_OFFLINE",
	"BN_SELF_ONLINE",
	"BN_SYSTEM_MESSAGE",
	"BN_TOON_NAME_UPDATED",
	
	-- C
	"CALENDAR_ACTION_PENDING",
	"CALENDAR_CLOSE_EVENT",
	"CALENDAR_EVENT_ALARM",
	"CALENDAR_NEW_EVENT",
	"CALENDAR_OPEN_EVENT",
	"CALENDAR_UPDATE_INVITE_LIST",
	"CALENDAR_UPDATE_ERROR",
	"CALENDAR_UPDATE_EVENT",
	"CALENDAR_UPDATE_EVENT_LIST",
	"CALENDAR_UPDATE_PENDING_INVITES",
	"CANCEL_LOOT_ROLL",
	"CANCEL_SUMMON",
	"CHANNEL_COUNT_UPDATE",
	"CHANNEL_FLAGS_UPDATED",
	"CHANNEL_INVITE_REQUEST",
	"CHANNEL_PASSWORD_REQUEST",
	"CHANNEL_ROSTER_UPDATE",
	"CHANNEL_UI_UPDATE",
	"CHANNEL_VOICE_UPDATE",
	"CHARACTER_POINTS_CHANGED",
	"CHAT_MSG_ACHIEVEMENT",
	"CHAT_MSG_ADDON",
	"CHAT_MSG_AFK",
	"CHAT_MSG_BATTLEGROUND",
	"CHAT_MSG_BATTLEGROUND_LEADER",
	"CHAT_MSG_BG_SYSTEM_ALLIANCE",
	"CHAT_MSG_BG_SYSTEM_HORDE",
	"CHAT_MSG_BG_SYSTEM_NEUTRAL",
	"CHAT_MSG_BN_CONVERSATION",
	"CHAT_MSG_BN_CONVERSATION_LIST",
	"CHAT_MSG_BN_CONVERSATION_NOTICE",
	"CHAT_MSG_BN_INLINE_TOAST_ALERT",
	"CHAT_MSG_BN_INLINE_TOAST_BROADCAST",
	"CHAT_MSG_BN_INLINE_TOAST_BROADCAST_INFORM",
	"CHAT_MSG_BN_INLINE_TOAST_CONVERSATION",
	"CHAT_MSG_BN_WHISPER",
	"CHAT_MSG_BN_WHISPER_INFORM",
	"CHAT_MSG_CHANNEL",
	"CHAT_MSG_CHANNEL_JOIN",
	"CHAT_MSG_CHANNEL_LEAVE",
	"CHAT_MSG_CHANNEL_LIST",
	"CHAT_MSG_CHANNEL_NOTICE",
	"CHAT_MSG_CHANNEL_NOTICE_USER",
	"CHAT_MSG_COMBAT_FACTION_CHANGE",
	"CHAT_MSG_COMBAT_HONOR_GAIN",
	"CHAT_MSG_COMBAT_MISC_INFO",
	"CHAT_MSG_COMBAT_XP_GAIN",
	"CHAT_MSG_DND",
	"CHAT_MSG_EMOTE",
	"CHAT_MSG_FILTERED",
	"CHAT_MSG_GUILD",
	"CHAT_MSG_GUILD_ACHIEVEMENT",
	"CHAT_MSG_IGNORED",
	"CHAT_MSG_LOOT",
	"CHAT_MSG_MONEY",
	"CHAT_MSG_MONSTER_EMOTE",
	"CHAT_MSG_MONSTER_SAY",
	"CHAT_MSG_MONSTER_WHISPER",
	"CHAT_MSG_MONSTER_PARTY",
	"CHAT_MSG_MONSTER_YELL",
	"CHAT_MSG_OFFICER",
	"CHAT_MSG_OPENING",
	"CHAT_MSG_PARTY",
	"CHAT_MSG_PARTY_LEADER",
	"CHAT_MSG_PET_INFO",
	"CHAT_MSG_RAID",
	"CHAT_MSG_RAID_BOSS_EMOTE",
	"CHAT_MSG_RAID_BOSS_WHISPER",
	"CHAT_MSG_RAID_LEADER",
	"CHAT_MSG_RAID_WARNING",
	"CHAT_MSG_RESTRICTED",
	"CHAT_MSG_SAY",
	"CHAT_MSG_SKILL",
	"CHAT_MSG_SYSTEM",
	"CHAT_MSG_TARGETICONS",
	"CHAT_MSG_TRADESKILLS",
	"CHAT_MSG_TEXT_EMOTE",
	"CHAT_MSG_WHISPER",
	"CHAT_MSG_WHISPER_INFORM",
	"CHAT_MSG_YELL",
	"CINEMATIC_START",
	"CINEMATIC_STOP",
	"CLOSE_INBOX_ITEM",
	"CLOSE_TABARD_FRAME",
	"CLOSE_WORLD_MAP",
	"COMBAT_LOG_EVENT",
	"COMBAT_LOG_EVENT_UNFILTERED",
	"COMBAT_RATING_UPDATE",
	"COMBAT_TEXT_UPDATE",
	"COMMENTATOR_ENTER_WORLD",
	"COMMENTATOR_MAP_UPDATE",
	"COMMENTATOR_PLAYER_UPDATE",
	"COMMENTATOR_SKIRMISH_MODE_REQUEST",
	"COMMENTATOR_SKIRMISH_QUEUE_REQUEST",
	"COMPANION_LEARNED",
	"COMPANION_UNLEARNED",
	"COMPANION_UPDATE",
	"CONFIRM_BINDER",
	"CONFIRM_DISENCHANT_ROLL",
	"CONFIRM_LOOT_ROLL",
	"CONFIRM_SUMMON",
	"CONFIRM_TALENT_WIPE",
	"CONFIRM_XP_LOSS",
	"CORPSE_IN_INSTANCE",
	"CORPSE_IN_RANGE",
	"CORPSE_OUT_OF_RANGE",
	"CRITERIA_UPDATE",
	"CURRENT_SPELL_CAST_CHANGED",
	"CURRENCY_DISPLAY_UPDATE",
	"CURSOR_UPDATE",
	"CVAR_UPDATE",
	
	-- D
	"DELETE_ITEM_CONFIRM",
	"DISPLAY_SIZE_CHANGED",
	"DISABLE_LOW_LEVEL_RAID",
	"DISABLE_TAXI_BENCHMARK",
	"DISABLE_XP_GAIN",
	"DUEL_FINISHED",
	"DUEL_INBOUNDS",
	"DUEL_OUTOFBOUNDS",
	"DUEL_REQUESTED",
	
	-- E
	"ENABLE_LOW_LEVEL_RAID",
	"ENABLE_TAXI_BENCHMARK",
	"ENABLE_XP_GAIN",
	"END_BOUND_TRADEABLE",
	"END_REFUND",
	"EQUIPMENT_SWAP_PENDING",
	"EQUIP_BIND_CONFIRM",
	"EQUIPMENT_SETS_CHANGED",
	"EQUIPMENT_SWAP_FINISHED",
	"EXECUTE_CHAT_LINE",
	
	-- F
	"FRIENDLIST_UPDATE",
	
	-- G
	"GLYPH_ADDED",
	"GLYPH_DISABLED",
	"GLYPH_ENABLED",
	"GLYPH_REMOVED",
	"GLYPH_UPDATED",
	"GMRESPONSE_RECEIVED",
	"GM_PLAYER_INFO",
	"GMSURVEY_DISPLAY",
	"GOSSIP_CLOSED",
	"GOSSIP_CONFIRM",
	"GOSSIP_CONFIRM_CANCEL",
	"GOSSIP_ENTER_CODE",
	"GOSSIP_SHOW",
	"GROUP_ROSTER_CHANGED",
	"GUILDBANKBAGSLOTS_CHANGED",
	"GUILDBANKFRAME_CLOSED",
	"GUILDBANKFRAME_OPENED",
	"GUILDBANKLOG_UPDATE",
	"GUILDBANK_ITEM_LOCK_CHANGED",
	"GUILDBANK_TEXT_CHANGED",
	"GUILDBANK_UPDATE_MONEY",
	"GUILDBANK_UPDATE_TABS",
	"GUILDBANK_UPDATE_TEXT",
	"GUILDBANK_UPDATE_WITHDRAWMONEY",
	"GUILD_INVITE_CANCEL",
	"GUILD_INVITE_REQUEST",
	"GUILD_MOTD",
	"GUILD_REGISTRAR_CLOSED",
	"GUILD_REGISTRAR_SHOW",
	"GUILD_ROSTER_UPDATE",
	"GUILDTABARD_UPDATE",
	"GUILD_EVENT_LOG_UPDATE",
	"GUILD_XP_UPDATE",
	
	-- H
	"HONOR_CURRENCY_UPDATE",
	
	-- I
	"IGNORELIST_UPDATE",
	"IGR_BILLING_NAG_DIALOG",
	"INSPECT_ACHIEVEMENT_READY",
	"INSPECT_HONOR_UPDATE",
	"INSPECT_READY",
	"INSTANCE_BOOT_START",
	"INSTANCE_BOOT_STOP",
	"INSTANCE_ENCOUNTER_ENGAGE_UNIT",
	"INSTANCE_LOCK_START",
	"INSTANCE_LOCK_STOP",
	"ITEM_LOCKED",
	"ITEM_LOCK_CHANGED",
	"ITEM_UNLOCKED",
	"ITEM_PUSH",
	"ITEM_TEXT_BEGIN",
	"ITEM_TEXT_CLOSED",
	"ITEM_TEXT_READY",
	"ITEM_TEXT_TRANSLATION",
	
	-- J
	
	-- K
	"KNOWLEDGE_BASE_ARTICLE_LOAD_FAILURE",
	"KNOWLEDGE_BASE_ARTICLE_LOAD_SUCCESS",
	"KNOWLEDGE_BASE_QUERY_LOAD_FAILURE",
	"KNOWLEDGE_BASE_QUERY_LOAD_SUCCESS",
	"KNOWLEDGE_BASE_SERVER_MESSAGE",
	"KNOWLEDGE_BASE_SETUP_LOAD_FAILURE",
	"KNOWLEDGE_BASE_SETUP_LOAD_SUCCESS",
	"KNOWLEDGE_BASE_SYSTEM_MOTD_UPDATED",
	"KNOWN_CURRENCY_TYPES_UPDATE",
	"KNOWN_TITLES_UPDATE",
	
	-- L
	"LANGUAGE_LIST_CHANGED",
	"LEVEL_GRANT_PROPOSED",
	"LEARNED_SPELL_IN_TAB",
	"LFG_COMPLETION_REWARD",
	"LFG_UPDATE",
	"LFG_BOOT_PROPOSAL_UPDATE",
	"LFG_LOCK_INFO_RECEIVED",
	"LFG_OFFER_CONTINUE",
	"LFG_OPEN_FROM_GOSSIP",
	"LFG_PROPOSAL_FAILED",
	"LFG_PROPOSAL_SHOW",
	"LFG_PROPOSAL_SUCCEEDED",
	"LFG_PROPOSAL_UPDATE",
	"LFG_QUEUE_STATUS_UPDATE",
	"LFG_ROLE_CHECK_HIDE",
	"LFG_ROLE_CHECK_ROLE_CHOSEN",
	"LFG_ROLE_CHECK_SHOW",
	"LFG_ROLE_CHECK_UPDATE",
	"LFG_ROLE_UPDATE",
	"LFG_UPDATE_RANDOM_INFO",
	"LOCALPLAYER_PET_RENAMED",
	"LOGOUT_CANCEL",
	"LOOT_BIND_CONFIRM",
	"LOOT_CLOSED",
	"LOOT_OPENED",
	"LOOT_SLOT_CLEARED",
	"LOOT_SLOT_CHANGED",
	
	-- M
	"MACRO_ACTION_BLOCKED",
	"MACRO_ACTION_FORBIDDEN",
	"MAIL_CLOSED",
	"MAIL_FAILED",
	"MAIL_INBOX_UPDATE",
	"MAIL_LOCK_SEND_ITEMS",
	"MAIL_SEND_INFO_UPDATE",
	"MAIL_SUCCESS",
	"MAIL_UNLOCK_SEND_ITEMS",
	"MAIL_SEND_SUCCESS",
	"MAIL_SHOW",
	"MERCHANT_CLOSED",
	"MERCHANT_SHOW",
	"MERCHANT_UPDATE",
	"MINIGAME_UPDATE",
	"MINIMAP_PING",
	"MINIMAP_UPDATE_ZOOM",
	"MINIMAP_UPDATE_TRACKING",
	"MIRROR_TIMER_PAUSE",
	"MIRROR_TIMER_START",
	"MIRROR_TIMER_STOP",
	"MODIFIER_STATE_CHANGED",
	"MOVIE_COMPRESSING_PROGRESS",
	"MOVIE_RECORDING_PROGRESS",
	"MOVIE_UNCOMPRESSED_MOVIE",
	"MUTELIST_UPDATE",
	
	-- N
	"NEW_AUCTION_UPDATE",
	"NEW_TITLE_EARNED",
	"NPC_PVPQUEUE_ANYWHERE",
	
	-- O
	"OLD_TITLE_LOST",
	"OPEN_MASTER_LOOT_LIST",
	"OPEN_TABARD_FRAME",
	
	-- P
	"PARTY_CONVERTED_TO_RAID",
	"PARTY_INVITE_CANCEL",
	"PARTY_INVITE_REQUEST",
	"PARTY_LEADER_CHANGED",
	"PARTY_LFG_RESTRICTED",
	"PARTY_LOOT_METHOD_CHANGED",
	"PARTY_MEMBER_DISABLE",
	"PARTY_MEMBER_ENABLE",
	"PETITION_CLOSED",
	"PETITION_SHOW",
	"PETITION_VENDOR_CLOSED",
	"PETITION_VENDOR_SHOW",
	"PETITION_VENDOR_UPDATE",
	"PET_ATTACK_START",
	"PET_ATTACK_STOP",
	"PET_BAR_HIDE",
	"PET_BAR_HIDEGRID",
	"PET_BAR_SHOWGRID",
	"PET_BAR_UPDATE",
	"PET_BAR_UPDATE_USABLE",
	"PET_BAR_UPDATE_COOLDOWN",
	"PET_DISMISS_START",
	"PET_SPELL_POWER_UPDATE",
	"PET_FORCE_NAME_DECLENSION",
	"PET_RENAMEABLE",
	"PET_STABLE_CLOSED",
	"PET_STABLE_SHOW",
	"PET_STABLE_UPDATE",
	"PET_STABLE_UPDATE_PAPERDOLL",
	"PET_TALENT_UPDATE",
	"PET_UI_CLOSE",
	"PET_UI_UPDATE",
	"PLAYER_DIFFICULTY_CHANGED",
	"PLAYERBANKBAGSLOTS_CHANGED",
	"PLAYERBANKSLOTS_CHANGED",
	"PLAYER_ALIVE",
	"PLAYER_CAMPING",
	"PLAYER_CONTROL_GAINED",
	"PLAYER_CONTROL_LOST",
	"PLAYER_DAMAGE_DONE_MODS",
	"PLAYER_DEAD",
	"PLAYER_DIFFICULTY_CHANGED",
	"PLAYER_ENTERING_BATTLEGROUND",
	"PLAYER_ENTERING_WORLD",
	"PLAYER_ENTER_COMBAT",
	"PLAYER_FARSIGHT_FOCUS_CHANGED",
	"PLAYER_FLAGS_CHANGED",
	"PLAYER_EQUIPMENT_CHANGED",
	"PLAYER_FOCUS_CHANGED",
	"PLAYER_GAINS_VEHICLE_DATA",
	"PLAYER_GUILD_UPDATE",
	"PLAYER_LEAVE_COMBAT",
	"PLAYER_LEAVING_WORLD",
	"PLAYER_LEVEL_UP",
	"PLAYER_LOGIN",
	"PLAYER_LOGOUT",
	"PLAYER_LOSES_VEHICLE_DATA",
	"PLAYER_MONEY",
	"PLAYER_PVP_KILLS_CHANGED",
	"PLAYER_PVP_RANK_CHANGED",
	"PLAYER_QUITING",
	"PLAYER_ROLES_ASSIGNED",
	"PLAYER_REGEN_DISABLED",
	"PLAYER_REGEN_ENABLED",
	"PLAYER_SKINNED",
	"PLAYER_TALENT_UPDATE",
	"PLAYER_TARGET_CHANGED",
	"PLAYER_TOTEM_UPDATE",
	"PLAYER_TRADE_MONEY",
	"PLAYER_UNGHOST",
	"PLAYER_UPDATE_RESTING",
	"PLAYER_XP_UPDATE",
	"PLAYERBANKBAGSLOTS_CHANGED",
	"PLAYERBANKSLOTS_CHANGED",
	"PLAYTIME_CHANGED",
	"PLAY_MOVIE",
	"PREVIEW_PET_TALENT_POINTS_CHANGED",
	"PREVIEW_TALENT_POINTS_CHANGED",
	"PVPQUEUE_ANYWHERE_SHOW",
	"PVPQUEUE_ANYWHERE_UPDATE_AVAILABLE",
	
	-- Q
	"QUEST_ACCEPTED",
	"QUEST_ACCEPT_CONFIRM",
	"QUEST_COMPLETE",
	"QUEST_POI_UPDATE",
	"QUEST_QUERY_COMPLETE",
	"QUEST_DETAIL",
	"QUEST_FINISHED",
	"QUEST_GREETING",
	"QUEST_ITEM_UPDATE",
	"QUEST_LOG_UPDATE",
	"QUEST_PROGRESS",
	"QUEST_WATCH_UPDATE",
	
	-- R
	"RAID_INSTANCE_WELCOME",
	"RAID_TARGET_UPDATE",
	"RAISED_AS_GHOUL",
	"READY_CHECK",
	"READY_CHECK_CONFIRM",
	"READY_CHECK_FINISHED",
	"RECEIVED_ACHIEVEMENT_LIST",
	"REPLACE_ENCHANT",
	"RESURRECT_REQUEST",
	"RUNE_POWER_UPDATE",
	"RUNE_TYPE_UPDATE",
	
	-- S
	"SCREENSHOT_FAILED",
	"SCREENSHOT_SUCCEEDED",
	"SEND_MAIL_COD_CHANGED",
	"SEND_MAIL_MONEY_CHANGED",
	"SKILL_LINES_CHANGED",
	"SOCKET_INFO_CLOSE",
	"SOCKET_INFO_UPDATE",
	"SOUND_DEVICE_UPDATE",
	"SPELLS_CHANGED",
	"SPELL_UPDATE_COOLDOWN",
	"SPELL_UPDATE_USABLE",
	"START_AUTOREPEAT_SPELL",
	"START_LOOT_ROLL",
	"START_MINIGAME",
	"STOP_AUTOREPEAT_SPELL",
	"STREAMING_ICON",
	"SYNCHRONIZE_SETTINGS",
	"SYSMSG",

	-- T
	"TABARD_CANSAVE_CHANGED",
	"TABARD_SAVE_PENDING",
	"TAXIMAP_CLOSED",
	"TAXIMAP_OPENED",
	"TALENTS_INVOLUNTARILY_RESET",
	"TIME_PLAYED_MSG",
	"TRACKED_ACHIEVEMENT_UPDATE",
	"TRADE_ACCEPT_UPDATE",
	"TRADE_CLOSED",
	"TRADE_CURRENCY_CHANGED",
	"TRADE_MONEY_CHANGED",
	"TRADE_PLAYER_ITEM_CHANGED",
	"TRADE_POTENTIAL_BIND_ENCHANT",
	"TRADE_REPLACE_ENCHANT",
	"TRADE_REQUEST",
	"TRADE_REQUEST_CANCEL",
	"TRADE_SHOW",
	"TRADE_SKILL_FILTER_UPDATE",
	"TRADE_SKILL_CLOSE",
	"TRADE_SKILL_SHOW",
	"TRADE_SKILL_UPDATE",
	"TRADE_TARGET_ITEM_CHANGED",
	"TRADE_UPDATE",
	"TRAINER_CLOSED",
	"TRAINER_DESCRIPTION_UPDATE",
	"TRAINER_SHOW",
	"TRAINER_UPDATE",
	"TUTORIAL_TRIGGER",

	-- U
	"UI_ERROR_MESSAGE",
	"UI_INFO_MESSAGE",
	"UNIT_ATTACK",
	"UNIT_ATTACK_POWER",
	"UNIT_ATTACK_SPEED",
	"UNIT_AURA",
	"UNIT_CLASSIFICATION_CHANGED",
	"UNIT_COMBAT",
	"UNIT_COMBO_POINTS",
	"UNIT_DAMAGE",
	"UNIT_DEFENSE",
	"UNIT_DISPLAYPOWER",
	"UNIT_DYNAMIC_FLAGS",
	"UNIT_ENERGY",
	"UNIT_ENTERED_VEHICLE",
	"UNIT_ENTERING_VEHICLE",
	"UNIT_EXITED_VEHICLE",
	"UNIT_EXITING_VEHICLE",
	"UNIT_FACTION",
	"UNIT_FLAGS",
	"UNIT_FOCUS",
	"UNIT_HEALTH_PREDICTION",
	"UNIT_HEALTH",
	"UNIT_INVENTORY_CHANGED",
	"UNIT_LEVEL",
	"UNIT_MAXHEALTH",
	"UNIT_MAXPOWER",
	"UNIT_MODEL_CHANGED",
	"UNIT_NAME_UPDATE",
	"UNIT_PET",
	"UNIT_PET_EXPERIENCE",
	"UNIT_PORTRAIT_UPDATE",
	"UNIT_POWER",
	"UNIT_QUEST_LOG_CHANGED",
	"UNIT_RANGEDDAMAGE",
	"UNIT_RANGED_ATTACK_POWER",
	"UNIT_RESISTANCES",
	"UNIT_SPELLCAST_CHANNEL_START",
	"UNIT_SPELLCAST_CHANNEL_STOP",
	"UNIT_SPELLCAST_CHANNEL_UPDATE",
	"UNIT_SPELLCAST_DELAYED",
	"UNIT_SPELLCAST_FAILED",
	"UNIT_SPELLCAST_FAILED_QUIET",
	"UNIT_SPELLCAST_INTERRUPTED",
	"UNIT_SPELLCAST_INTERRUPTIBLE",
	"UNIT_SPELLCAST_NOT_INTERRUPTIBLE",
	"UNIT_SPELLCAST_SENT",
	"UNIT_SPELLCAST_START",
	"UNIT_SPELLCAST_STOP",
	"UNIT_SPELLCAST_SUCCEEDED",
	"UNIT_STATS",
	"UNIT_TARGET",
	"UNIT_THREAT_LIST_UPDATE",
	"UNIT_THREAT_SITUATION_UPDATE",
	"UPDATE_BATTLEFIELD_SCORE",
	"UPDATE_BATTLEFIELD_STATUS",
	"UPDATE_BINDINGS",
	"UPDATE_BONUS_ACTIONBAR",
	"UPDATE_CHAT_COLOR",
	"UPDATE_CHAT_COLOR_NAME_BY_CLASS",
	"UPDATE_FLOATING_CHAT_WINDOWS",
	"UPDATE_CHAT_WINDOWS",
	"UPDATE_EXHAUSTION",
	"UPDATE_FACTION",
	"UPDATE_GM_STATUS",
	"UPDATE_INSTANCE_INFO",
	"UPDATE_INVENTORY_ALERTS",
	"UPDATE_INVENTORY_DURABILITY",
	"UPDATE_LFG_LIST",
	"UPDATE_LFG_LIST_INCREMENTAL",
	"UPDATE_LFG_TYPES",
	"UPDATE_MACROS",
	"UPDATE_MASTER_LOOT_LIST",
	"UPDATE_MOUSEOVER_UNIT",
	"UPDATE_MULTI_CAST_ACTIONBAR",
	"UPDATE_PENDING_MAIL",
	"UPDATE_SHAPESHIFT_COOLDOWN",
	"UPDATE_SHAPESHIFT_FORM",
	"UPDATE_SHAPESHIFT_FORMS",
	"UPDATE_SHAPESHIFT_USABLE",
	"UPDATE_STEALTH",
	"UPDATE_TICKET",
	"UPDATE_TRADESKILL_RECAST",
	"UPDATE_WORLD_STATES",
	"USE_BIND_CONFIRM",
	
	-- V
	"VARIABLES_LOADED",
	"VEHICLE_ANGLE_SHOW",
	"VEHICLE_ANGLE_UPDATE",
	"VEHICLE_PASSENGERS_CHANGED",
	"VEHICLE_POWER_SHOW",
	"VEHICLE_UPDATE",
	"VOICE_CHANNEL_STATUS_UPDATE",
	"VOICE_CHAT_ENABLED_UPDATE",
	"VOICE_LEFT_SESSION",
	"VOICE_PLATE_START",
	"VOICE_PLATE_STOP",
	"VOICE_PUSH_TO_TALK_START",
	"VOICE_PUSH_TO_TALK_STOP",
	"VOICE_SELF_MUTE",
	"VOICE_SESSIONS_UPDATE",
	"VOICE_START",
	"VOICE_STATUS_UPDATE",
	"VOICE_STOP",
	"VOTE_KICK_REASON_NEEDED",
	
	-- W
	"WEAR_EQUIPMENT_SET",
	"WHO_LIST_UPDATE",
	"WORLD_MAP_NAME_UPDATE",
	"WORLD_MAP_UPDATE",
	"WORLD_STATE_UI_TIMER_UPDATE",
	"WOW_MOUSE_NOT_FOUND",
	
	-- X
	
	-- Y
	
	-- Z
	"ZONE_CHANGED",
	"ZONE_CHANGED_INDOORS",
	"ZONE_CHANGED_NEW_AREA",
}
for x = 1, #temp do
	defaultTextColorTableImport[temp[x]] = eventColor
end
temp = nil

-- ****************************************************************************
-- * WoW Widget Events                                                        *
-- ****************************************************************************

local temp = {
	"OnAnimFinished",
	"OnAttributeChanged",
	"OnCursorChanged",
	"OnDoubleClick",
	"OnDragStart",
	"OnDragStop",
	"OnEnter",
	"OnEnterPressed",
	"OnEscapePressed",
	"OnEvent",
	"OnHide",
	"OnKeyDown",
	"OnKeyUp",
	"OnLeave",
	"OnLoad",
	"OnMouseDown",
	"OnMouseUp",
	"OnMouseWheel",
	"OnReceiveDrag",
	"OnShow",
	"OnSizeChanged",
	"OnSpacePressed",
	"OnTabPressed",
	"OnUpdate",
	"OnChar",
	"OnCharComposition",
	"OnEditFocusGained",
	"OnEditFocusLost",
	"OnInputLanguageChanged",
	"OnTextChanged",
	"OnTextSet",
	"OnHorizontalScroll",
	"OnScrollRangeChanged",
	"OnVerticalScroll",
	"OnValueChanged",
	}
for x = 1, #temp do
	defaultTextColorTableImport[temp[x]] = eventColor
end
temp = nil
	